<?php
/**
 * Custom template tags for Admania
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */



/*-----------------------------------------------------------------------------------*/
# Admania Previous/next post navigation.
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'admania_postnav' ) ) :

function admania_postnav() {

global $post;

$admania_prev_post = '';
$admania_nxt_post = '';

$admania_prev_post = get_previous_post();				 
$admania_next_post = get_next_post();
	 
	if(!empty($admania_prev_post) || !empty($admania_next_post) ):
	
	if(!empty($admania_prev_post) == ''):
	$admania_nxtpst_class = 'admania_nxtpst_dsgn';
	else:
	$admania_nxtpst_class = '';
	endif;
	
	?>

	<div class="admania-prenext <?php echo esc_attr($admania_nxtpst_class); ?>"> <!--Single post prev/next-->
  
  <?php  
 
  
  the_post_navigation( array(
	'prev_text' => 
				'<span> <i class="fa fa-angle-double-left"></i> </span>'.
				'<div class="admania_snlgepdsg">'.esc_html(get_theme_mod('admania_preposttrnstxt','Prev Post')).'</div>'.
				'<div class="admania_snlgenpntit">%title</div>',
	'next_text' => 
				'<span> <i class="fa fa-angle-double-right"></i> </span>'.
				'<div class="admania_snlgepdsg">'.esc_html(get_theme_mod('admania_nxtposttrnstxt','Next Post')).'</div>'.
				'<div class="admania_snlgenpntit">%title</div>',					
 ) );

  
 
?>
</div>
	<!-- preview / next -->

<?php 				
	endif;
}

endif;

 

/*-----------------------------------------------------------------------------------*/
# Admania Get Theme Options
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'admania_get_option' ) ) :

function admania_get_option( $admania_optionname ) {
	
	$admania_get_options = get_option( 'admania_theme_settings' );
	
	if( !empty( $admania_get_options[$admania_optionname] ))
		 return wp_specialchars_decode ($admania_get_options[$admania_optionname],ENT_COMPAT);
		
	return false ;
}

endif;

/*-----------------------------------------------------------------------------------*/
# Admania Live Editor Get Theme Options
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'admania_get_lveditoption' ) ) :

function admania_get_lveditoption( $admania_lvedtoptionname ) {
	
	$admania_get_lveditoptions = get_option( 'admania_frontliveeditor_settings' );
	
	if( !empty( $admania_get_lveditoptions[$admania_lvedtoptionname] ))
		 return wp_specialchars_decode ($admania_get_lveditoptions[$admania_lvedtoptionname],ENT_COMPAT);
		
	return false ;
}

endif;

/*-----------------------------------------------------------------------------------*/
# Admania post count views 
/*-----------------------------------------------------------------------------------*/

if( ! function_exists( 'admania_set_post_views' )):

function admania_set_post_views($postID) { 
$admaniacount_key = 'admania_post_views_count';
$admania_count = get_post_meta($postID, $admaniacount_key, true);
if($admania_count=='')
{
$admania_count = 0;
delete_post_meta($postID, $admaniacount_key);
add_post_meta($postID, $admaniacount_key, '0');
}else{
$admania_count++;
update_post_meta($postID, $admaniacount_key, $admania_count);
}
}

endif;

/*-----------------------------------------------------------------------------------*/
# Admania Track post views 
/*-----------------------------------------------------------------------------------*/

if( ! function_exists( 'admania_track_post_views' )):

function admania_track_post_views ($post_id) {
if ( !is_single() ) return;
if ( empty ( $post_id) ) {
global $post;
$post_id = $post->ID;   
}
admania_set_post_views($post_id);

}

endif;

add_action( 'wp_head', 'admania_track_post_views'); // add action to load the data in wp-head

/*-----------------------------------------------------------------------------------*/
# Admania get the post count view 
/*-----------------------------------------------------------------------------------*/

if( ! function_exists( 'admania_get_post_views' )):

function admania_get_post_views($postID){
$admaniacount_key = 'admania_post_views_count';
$admaniacount = get_post_meta($postID, $admaniacount_key, true);
if($admaniacount==''){
delete_post_meta($postID, $admaniacount_key);
add_post_meta($postID, $admaniacount_key, '0');
return "0";
}
return $admaniacount;
}

endif;

//To keep the count accurate, lets get rid of prefetching
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);

// Remove issues with prefetching adding extra views
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);	

/*-----------------------------------------------------------------------------------*/

# Admania Crop the wp post thumbnail image

/*-----------------------------------------------------------------------------------*/



/**

 * Title         : Aqua Resizer

 * Description   : Resizes WordPress images on the fly

 * Version       : 1.2.1

 * Author        : Syamil MJ

 * Author URI    : http://aquagraphite.com

 * License       : WTFPL - http://sam.zoy.org/wtfpl/

 * Documentation : https://github.com/sy4mil/Aqua-Resizer/

 *

 * @param string  $url      - (required) must be uploaded using wp media uploader

 * @param int     $width    - (required)

 * @param int     $height   - (optional)

 * @param bool    $crop     - (optional) default to soft crop

 * @param bool    $single   - (optional) returns an array if false

 * @param bool    $upscale  - (optional) resizes smaller images

 * @uses  wp_upload_dir()

 * @uses  image_resize_dimensions()

 * @uses  wp_get_image_editor()

 *

 * @return str|array

 */



if(!class_exists('admania_autoresize')) {

    class Admania_Aqexception extends Exception {}



    class admania_autoresize

    {

        /**

         * The singleton instance

         */

        static private $instance = null;



        /**

         * Should an Admania_Aqexception be thrown on error?

         * If false (default), then the error will just be logged.

         */

        public $throwOnError = false;



        /**

         * No initialization allowed

         */

        private function __construct() {}



        /**

         * No cloning allowed

         */

        private function __clone() {}



        /**

         * For your custom default usage you may want to initialize an admania_autoresize object by yourself and then have own defaults

         */

        static public function getInstance() {

            if(self::$instance == null) {

                self::$instance = new self;

            }



            return self::$instance;

        }



        /**

         * Run, forest.

         */

        public function process( $url, $width = null, $height = null, $crop = null, $single = true, $upscale = false ) {

            try {

                // Validate inputs.

                if (!$url)

                    throw new Admania_Aqexception('$url parameter is required');

                if (!$width)

                    throw new Admania_Aqexception('$width parameter is required');



                // Caipt'n, ready to hook.

                if ( true !== $upscale ) add_filter( 'image_resize_dimensions', array($this, 'admania_aqupscale'), 10, 6 );



                // Define upload path & dir.

                $upload_info = wp_upload_dir();

                $upload_dir = $upload_info['basedir'];

                $upload_url = $upload_info['baseurl'];

                

                $http_prefix = "http://";

                $https_prefix = "https://";

                $relative_prefix = "//"; // The protocol-relative URL

                

                /* if the $url scheme differs from $upload_url scheme, make them match 

                   if the schemes differe, images don't show up. */

                if(!strncmp($url,$https_prefix,strlen($https_prefix))){ //if url begins with https:// make $upload_url begin with https:// as well

                    $upload_url = str_replace($http_prefix,$https_prefix,$upload_url);

                }

                elseif(!strncmp($url,$http_prefix,strlen($http_prefix))){ //if url begins with http:// make $upload_url begin with http:// as well

                    $upload_url = str_replace($https_prefix,$http_prefix,$upload_url);      

                }

                elseif(!strncmp($url,$relative_prefix,strlen($relative_prefix))){ //if url begins with // make $upload_url begin with // as well

                    $upload_url = str_replace(array( 0 => "$http_prefix", 1 => "$https_prefix"),$relative_prefix,$upload_url);

                }                



                // Check if $img_url is local.

                if ( false === strpos( $url, $upload_url ) )

                    throw new Admania_Aqexception('Image must be local: ' . $url);



                // Define path of image.

                $rel_path = str_replace( $upload_url, '', $url );

                $img_path = $upload_dir . $rel_path;



                // Check if img path exists, and is an image indeed.

                if ( ! file_exists( $img_path ) or ! getimagesize( $img_path ) )

                    throw new Admania_Aqexception('Image file does not exist (or is not an image): ' . $img_path);



                // Get image info.

                $info = pathinfo( $img_path );

                $ext = $info['extension'];

                list( $orig_w, $orig_h ) = getimagesize( $img_path );



                // Get image size after cropping.

                $dims = image_resize_dimensions( $orig_w, $orig_h, $width, $height, $crop );

                $dst_w = $dims[4];

                $dst_h = $dims[5];



                // Return the original image only if it exactly fits the needed measures.

                if ( ! $dims && ( ( ( null === $height && $orig_w == $width ) xor ( null === $width && $orig_h == $height ) ) xor ( $height == $orig_h && $width == $orig_w ) ) ) {

                    $img_url = $url;

                    $dst_w = $orig_w;

                    $dst_h = $orig_h;

                } else {

                    // Use this to check if cropped image already exists, so we can return that instead.

                    $suffix = "{$dst_w}x{$dst_h}";

                    $dst_rel_path = str_replace( '.' . $ext, '', $rel_path );

                    $destfilename = "{$upload_dir}{$dst_rel_path}-{$suffix}.{$ext}";



                    if ( ! $dims || ( true == $crop && false == $upscale && ( $dst_w < $width || $dst_h < $height ) ) ) {

                        // Can't resize, so return false saying that the action to do could not be processed as planned.

                        throw new Admania_Aqexception('Unable to resize image because image_resize_dimensions() failed');

                    }

                    // Else check if cache exists.

                    elseif ( file_exists( $destfilename ) && getimagesize( $destfilename ) ) {

                        $img_url = "{$upload_url}{$dst_rel_path}-{$suffix}.{$ext}";

                    }

                    // Else, we resize the image and return the new resized image url.

                    else {

                        $editor = wp_get_image_editor( $img_path );

                        if ( is_wp_error( $editor ) || is_wp_error( $editor->resize( $width, $height, $crop ) ) ) {

                            throw new Admania_Aqexception('Unable to get WP_Image_Editor: ' . 

                                       $editor->get_error_message() . ' (is GD or ImageMagick installed?)');

                        }

                        $resized_file = $editor->save();

                        if ( ! is_wp_error( $resized_file ) ) {

                            $resized_rel_path = str_replace( $upload_dir, '', $resized_file['path'] );

                            $img_url = $upload_url . $resized_rel_path;

                        } else {

                            /*throw new Admania_Aqexception('Unable to save resized image file: 
							' . $editor->get_error_message().'');
							*/

                        }

                    }

                }

                // Okay, leave the ship.

               
                // Return the output.

                if ( $single ) {

                    // str return.

                    $image = $img_url;

                } else {

                    // array return.

                    $image = array (

                        0 => $img_url,

                        1 => $dst_w,

                        2 => $dst_h

                    );

                }

                return $image;

            }

            catch (Admania_Aqexception $ex) {

                //error_log('admania_autoresize.process() error: ' . $ex->getMessage());

                if ($this->throwOnError) {

                    // Bubble up exception.

                    throw $ex;

                }

                else {

                    // Return false, so that this patch is backwards-compatible.

                    return false;

                }

            }

        }

        /**

         * Callback to overwrite WP computing of thumbnail measures

         */

        function admania_aqupscale( $default, $orig_w, $orig_h, $dest_w, $dest_h, $crop ) {

            if ( ! $crop ) return null; // Let the wordpress default function handle this.



            // Here is the point we allow to use larger image size than the original one.

            $aspect_ratio = $orig_w / $orig_h;

            $new_w = $dest_w;

            $new_h = $dest_h;



            if ( ! $new_w ) {

                $new_w = intval( $new_h * $aspect_ratio );

            }



            if ( ! $new_h ) {

                $new_h = intval( $new_w / $aspect_ratio );

            }



            $size_ratio = max( $new_w / $orig_w, $new_h / $orig_h );



            $crop_w = round( $new_w / $size_ratio );

            $crop_h = round( $new_h / $size_ratio );



            $s_x = floor( ( $orig_w - $crop_w ) / 2 );

            $s_y = floor( ( $orig_h - $crop_h ) / 2 );



            return array( 0, 0, (int) $s_x, (int) $s_y, (int) $new_w, (int) $new_h, (int) $crop_w, (int) $crop_h );

        }

    }

}


if(!function_exists('admania_autoresize')) {



    /**

     * This is just a tiny wrapper function for the class above so that there is no

     * need to change any code in your own WP themes. Usage is still the same :)

     */

    function admania_autoresize( $url, $width = null, $height = null, $crop = null, $single = true, $upscale = false ) {

        /* WPML Fix */

        if ( defined( 'ICL_SITEPRESS_VERSION' ) ){

            global $sitepress;

            $url = $sitepress->convert_url( $url, $sitepress->get_default_language() );

        }

        /* WPML Fix */



        $admania_autoresize = admania_autoresize::getInstance();

        return $admania_autoresize->process( $url, $width, $height, $crop, $single, $upscale );

    }

}

/*-----------------------------------------------------------------------------------*/
# Admania RelatedPost
/*-----------------------------------------------------------------------------------*/


if(! function_exists( 'admania_relatedpost' ) ):

function admania_relatedpost() {

if(is_single()) {
	
global $post;

$post_id = $post->ID;

$admania_bylineck = get_theme_mod('admania_ebylfp');

if(get_theme_mod('admania_choserd1') != ''):
$admania_choserd1 = get_theme_mod('admania_choserd1');
else:
$admania_choserd1 = 'latest';
endif;

if($admania_choserd1 == 'latest'):

$admania_orderbychs1 = 'date';

elseif($admania_choserd1 == 'random'):

$admania_orderbychs1 = 'rand';

else:

$admania_orderbychs1 = 'date';

endif;


if(get_theme_mod('admania_choserd2') != ''):
$admania_choserd2 = get_theme_mod('admania_choserd2');
else:
$admania_choserd2 = 'latest';
endif;



if($admania_choserd2 == 'latest'):

$admania_orderbychs2 = 'date';

elseif($admania_choserd2 == 'random'):

$admania_orderbychs2 = 'rand';

else:

$admania_orderbychs2 = 'date';

endif;

	if((get_theme_mod('admania-enable-related-post-by-tag')) != '') // related posts display by tag
	{
	
	
	if(get_theme_mod('admania_relatedpostbytagcount') != ''):
	
	$admania_rpbytag = get_theme_mod('admania_relatedpostbytagcount');
	
	else:
	
	$admania_rpbytag = '3';
	
	endif;
	

		
	$admania_tags = wp_get_post_tags($post->ID);
	if ($admania_tags) {
	
	$admania_tag_ids = array();
	foreach($admania_tags as $individual_tag) $admania_tag_ids[] = $individual_tag->term_id;
	$admania_reltagargs=array(
	'tag__in' => $admania_tag_ids,
	'orderby'=>$admania_orderbychs2,
	'post__not_in' => array($post->ID),
	'posts_per_page'=> $admania_rpbytag, // Number of related posts that will be displayed.
    'ignore_sticky_posts'=>1,	
	);
	$admania_rel_tagquery = new wp_query( $admania_reltagargs );
	if( $admania_rel_tagquery->have_posts() ) {				
	
	echo '<div class="admania-related-posts">
	<h5 class="admania-related-postsheading">'.esc_html__('You May Also Like','ad-mania').'</h5><ul>';
	while( $admania_rel_tagquery->have_posts() ) {
	$admania_rel_tagquery->the_post(); 
	
	?>
<li>
  <?php			  
  
  if(get_theme_mod('admania_dabothsidebar') == 1) {
	  $admaniafeatured_imgwidth1 = 372;
		$admaniafeatured_imgheight1 = 255;
  }
  else{
					  
		$admaniafeatured_imgwidth1 = 250;
		$admaniafeatured_imgheight1 = 150;
  }

		$admania_postthumb1 = get_post_thumbnail_id();
		$admaniapost_imgsrc = wp_get_attachment_url( $admania_postthumb1,'full'); //get img URL	
		$admania_relatedimgurl = admania_autoresize($admaniapost_imgsrc,$admaniafeatured_imgwidth1,$admaniafeatured_imgheight1,true);					 
		$admania_featdvidurl = get_post_meta($post->ID, '_admania_featured_videourl', true); 
		$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  
		$admania_vimeo_matchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";
		$admania_souncloud_matchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";
		$admania_framename = "iframe";  



   		    if($admania_featdvidurl != '' || $admania_relatedimgurl != '') {
						
			if($admania_featdvidurl != '') {

				if(preg_match($admania_youtube_matchexp , $admania_featdvidurl)) {
						
				$admania_featdvidurl = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admaniafeatured_imgwidth1)."\" height=\"".absint($admaniafeatured_imgheight1)."\" src=\"//www.youtube.com/embed/$1\"  allowfullscreen></iframe>",$admania_featdvidurl);
						
				echo wp_kses_stripslashes($admania_featdvidurl);					
						
			}
						
			elseif(preg_match($admania_vimeo_matchexp , $admania_featdvidurl)) {						
												
				$admania_vimeovideos = preg_replace( $admania_vimeo_matchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admaniafeatured_imgwidth1)."\" height=\"".absint($admaniafeatured_imgheight1)."\" src=\"//player.vimeo.com/video/$3\"  allowfullscreen></iframe>",$admania_featdvidurl);
						
				echo wp_kses_stripslashes($admania_vimeovideos);
						
			}
						
			elseif(preg_match( $admania_souncloud_matchexp , $admania_featdvidurl)) {
						
				$admania_souncloudsng = preg_replace( $admania_souncloud_matchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admaniafeatured_imgwidth1).'" height="'.absint($admaniafeatured_imgheight1).'" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_featdvidurl); 
						
				echo wp_kses_stripslashes($admania_souncloudsng);	
						
			}					
				
			}
						
			elseif($admaniapost_imgsrc != '' && $admania_featdvidurl === '' ) { 
			?>
  <a  href="<?php esc_url(the_permalink()); ?>" title="<?php esc_html(the_title()); ?>"> <img src="<?php echo esc_url($admania_relatedimgurl);  ?>" alt="<?php esc_html_e('image','ad-mania'); ?>"/> </a>
  <?php 
			}
			}
			
				else {
		
    if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admaniafeatured_imgwidth1); ?>px;" height="<?php echo intval($admaniafeatured_imgheight1);?>px;"/>
	</a>
	 <?php
	 }

	}
else {
		
	if (has_post_thumbnail($post->ID) ) {
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admaniapost_imgsrc); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php
	}		
	}
   
  	
		
	}
			
	        ?>
  <div class="admania-rel-entry-meta">
    <?php the_title( sprintf( '<h2 class="admania-entry-title" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
    <?php  if( 1 !== (int) $admania_bylineck )  { ?>
    <div class="admania-entry-cat">
      <?php if(get_theme_mod('admania_ppostedon') !== 1) { ?>
      <span class="admania_date">
      <?php esc_html_e('On','ad-mania'); ?>
      <?php the_time(get_option( 'date_format' )); ?>
      </span>
      <?php }
	 if(get_theme_mod('admania_pcategory') !== 1) { ?>
      <span class="admania-dividerlne">|</span> <span class="admania-catgory">
      <?php esc_html_e('In','ad-mania'); ?>
      <?php  the_category(' ,');?>
      </span>
      <?php  } ?>
    </div>
    <?php  } ?>
  </div>
</li>
<?php		
	}
	echo '</ul></div>';
	} }
	
	wp_reset_postdata(); 
	}

if((get_theme_mod('admania-enable-related-post-by-category')) == '') // related posts display by category
	{
		
		
		if(get_theme_mod('admania_relatedpostbycategorycount') != ''){
		
		$admania_rpbycategory = get_theme_mod('admania_relatedpostbycategorycount');
		
		}
		else{
		
		$admania_rpbycategory = '3';
		
		}
		
	
	$admania_categories = get_the_category($post->ID);
	if ($admania_categories) {		
	
	$category_ids = array();
	foreach($admania_categories as $admania_individual_category) $admania_category_ids[] = $admania_individual_category->term_id;
	$admania_catrelargs = array(
	'category__in' => $category_ids,
	'orderby'=>$admania_orderbychs1,
	'post__not_in' => array($post->ID),
	'posts_per_page'=> $admania_rpbycategory, // Number of related posts that will be displayed.
	'ignore_sticky_posts'=>1,	
	);
				
	$admania_relcat_query = new wp_query( $admania_catrelargs );
	
		
	if( $admania_relcat_query->have_posts() ) {
		
	 
	echo '<div class="admania-related-posts">
	<h5 class="admania-related-postsheading">'.esc_html__('You May Also Like','ad-mania').'</h5><ul>';
	while( $admania_relcat_query->have_posts() ) {
	$admania_relcat_query->the_post(); 
	?>
<li>
  <?php			  
	
		 if(get_theme_mod('admania_dabothsidebar') == 1) {
			$admaniafeatured_imgwidth1 = 372;
			$admaniafeatured_imgheight1 = 255;
		}
		else{
					  
		$admaniafeatured_imgwidth1 = 250;
		$admaniafeatured_imgheight1 = 150;
		
		}

		$admania_postthumb1 = get_post_thumbnail_id();
		$admaniapost_imgsrc = wp_get_attachment_url( $admania_postthumb1,'full'); //get img URL	
		$admania_relatedimgurl = admania_autoresize($admaniapost_imgsrc,$admaniafeatured_imgwidth1,$admaniafeatured_imgheight1,true);		 
		$admania_featdvidurl = get_post_meta($post->ID, '_admania_featured_videourl', true); 
		$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  
		$admania_vimeo_matchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";
		$admania_souncloud_matchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";
		$admania_framename = "iframe";  			  
						
          if($admania_featdvidurl != '' || $admania_relatedimgurl != '') {
						
			if($admania_featdvidurl != '') {

				if(preg_match($admania_youtube_matchexp , $admania_featdvidurl)) {
						
				$admania_featdvidurl = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admaniafeatured_imgwidth1)."\" height=\"".absint($admaniafeatured_imgheight1)."\" src=\"//www.youtube.com/embed/$1\"  allowfullscreen></iframe>",$admania_featdvidurl);
						
				echo wp_kses_stripslashes($admania_featdvidurl);					
						
			}
						
			elseif(preg_match($admania_vimeo_matchexp , $admania_featdvidurl)) {						
												
				$admania_vimeovideos = preg_replace( $admania_vimeo_matchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admaniafeatured_imgwidth1)."\" height=\"".absint($admaniafeatured_imgheight1)."\" src=\"//player.vimeo.com/video/$3\"  allowfullscreen></iframe>",$admania_featdvidurl);
						
				echo wp_kses_stripslashes($admania_vimeovideos);
						
			}
						
			elseif(preg_match( $admania_souncloud_matchexp , $admania_featdvidurl)) {
						
				$admania_souncloudsng = preg_replace( $admania_souncloud_matchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admaniafeatured_imgwidth1).'" height="'.absint($admaniafeatured_imgheight1).'" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_featdvidurl); 
						
				echo wp_kses_stripslashes($admania_souncloudsng);	
						
			}					
				
			}
						
			elseif($admaniapost_imgsrc != '' && $admania_featdvidurl === '' ) { 
			?>
  <a  href="<?php esc_url(the_permalink()); ?>" title="<?php esc_html(the_title()); ?>"> <img src="<?php echo esc_url($admania_relatedimgurl);  ?>" alt="<?php esc_html_e('image','ad-mania'); ?>"/> </a>
  <?php 
			}
			}
			
				else {
		
    if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admaniafeatured_imgwidth1); ?>px;" height="<?php echo intval($admaniafeatured_imgheight1);?>px;"/>
	</a>
	 <?php
	 }

	}  	
	else {
		
	if (has_post_thumbnail($post->ID) ) {
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admaniapost_imgsrc); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php
	}		
	}
		
	}
				        
	        ?>
  <div class="admania-rel-entry-meta">
    <?php the_title( sprintf( '<h2 class="admania-entry-title" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
    <?php  if( 1 !== (int) $admania_bylineck )  {  ?>
    <div class="admania-entry-cat">
      <?php
	   if(get_theme_mod('admania_ppostedon') !== 1) { ?>
      <span class="admania_date">
      <?php  esc_html_e('On','ad-mania'); ?>
      <?php the_time(get_option( 'date_format' )); ?>
      </span>
      <?php
	  }
	   if(get_theme_mod('admania_pcategory') !== 1) { ?>
      <span class="admania-dividerlne">|</span> <span class="admania-catgory">
      <?php  esc_html_e('In','ad-mania'); ?>
      <?php  the_category(' ,');?>
      </span>
      <?php }  ?>
    </div>
    <?php }  ?>
  </div>
</li>
<?php

	}
	echo '</ul></div>';
	} 
	}
	
	wp_reset_postdata();
	
	}

}
}

endif;

/*-----------------------------------------------------------------------------------*/
# Admania Pagination
/*-----------------------------------------------------------------------------------*/


if ( ! function_exists( 'admania_paging_nav' ) ) :
/**
 *
 * @global WP_Query   $wp_query   WordPress Query object.
 * @global WP_Rewrite $wp_rewrite WordPress Rewrite object.
 */
function admania_paging_nav() {

if(get_theme_mod('admania_hmpgpaginationno') !== 1) {
	
	global $wp_query, $wp_rewrite;

	// Don't print empty markup if there's only one page.
	if ( $wp_query->max_num_pages < 2 ) {
		return;
	}

	$admania_paged        = get_query_var( 'paged' ) ? intval( get_query_var( 'paged' ) ) : 1;
	$admania_pagenum_link = html_entity_decode( get_pagenum_link() );
	$admania_query_args   = array();
	$admania_url_parts    = explode( '?', $admania_pagenum_link );

	if ( isset( $admania_url_parts[1] ) ) {
		wp_parse_str( $admania_url_parts[1], $admania_query_args );
	}

	$admania_pagenum_link = remove_query_arg( array_keys( $admania_query_args ), $admania_pagenum_link );
	$admania_pagenum_link = trailingslashit( $admania_pagenum_link ) . '%_%';

	$admania_format  = $wp_rewrite->using_index_permalinks() && ! strpos( $admania_pagenum_link, 'index.php' ) ? 'index.php/' : '';
	$admania_format .= $wp_rewrite->using_permalinks() ? user_trailingslashit( $wp_rewrite->pagination_base . '/%#%', 'paged' ) : '?paged=%#%';

	// Set up paginated links.
	$admania_pagenav_links = paginate_links( array(
		'base'     => $admania_pagenum_link,
		'format'   => $admania_format,
		'total'    => $wp_query->max_num_pages,
		'current'  => $admania_paged,
		'mid_size' => 1,
		'add_args' => array_map( 'urlencode', $admania_query_args ),
		'prev_text' => esc_html__( '&larr; Previous', 'ad-mania' ),
		'next_text' => esc_html__( 'Next &rarr;', 'ad-mania' ),
	) );

	if ( $admania_pagenav_links ) :

	?>
<div class="admania-pagination"> <?php echo wp_kses_stripslashes($admania_pagenav_links); ?> </div>
<!-- .admania-pagination -->
<?php
endif;
}

if(get_theme_mod('admania_hmpgpgnextprev') != '') {
	
global $post;

$admania_prev_post = '';
$admania_nxt_post = '';

$admania_prev_post = get_previous_post();				 
$admania_next_post = get_next_post();

				 
	if(!empty($admania_prev_post) || !empty($admania_next_post) ):
	
	if(!empty($admania_prev_post) === ''):
	$admania_nxtpst_class = 'admania_nxtpst_dsgn';
	else:
	$admania_nxtpst_class = '';
	endif;
	
	?>

	<div class="admania-prenext admania-hmpageprenext <?php echo esc_attr($admania_nxtpst_class); ?>"> <!--Home post prev/next-->
  
  <?php
  
  
  if(get_theme_mod('admania_singleprevcontent') != ''):
  
  $admania_prevpagicontent = get_theme_mod('admania_singleprevcontent');
  
  else:
  
  $admania_prevpagicontent = 'Prev Post';
  
  endif;
  
  if(get_theme_mod('admania_singlenextcontent') != ''):
  
  $admania_nextpagicontent = get_theme_mod('admania_singlenextcontent');
  
  else:
  
  $admania_nextpagicontent = 'Next Post';
  
  endif;
  
  the_post_navigation( array(
	'prev_text' => 
				'<span> <i class="fa fa-angle-double-left"></i> </span>'.
				'<div class="admania_snlgepdsg">'.esc_html($admania_prevpagicontent).'</div>'.
				'<div class="admania_snlgenpntit">%title</div>',
	'next_text' => 
				'<span> <i class="fa fa-angle-double-right"></i> </span>'.
				'<div class="admania_snlgepdsg">'.esc_html($admania_nextpagicontent).'</div>'.
				'<div class="admania_snlgenpntit">%title</div>',					
 ) );
 ?>
 </div>
 <?php
endif;
}
}
endif;


/*-----------------------------------------------------------------------------------*/
# Admania FeaturedImage
/*-----------------------------------------------------------------------------------*/


if ( ! function_exists( 'admania_featuredimage' ) ) :
 
function admania_featuredimage() { 

    global $post,$admania_counter;
	
	$admania_thumb = get_post_thumbnail_id();
 	$admania_imgurl = wp_get_attachment_url( $admania_thumb,'full'); //get img URL
	
	$admania_ytdimg = get_post_meta($post->ID, '_admania_featured_videourl', true); 
	$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  
	$admania_youtube_matchexp1 = "/\s*[a-zA-Z\/\/:\.]*youtu.be\/([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";
	$admania_vimeomatchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";
	$admania_souncloudmatchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";
	$admania_framename = "iframe";
	
    if(!is_single() && !is_page()){
	
	$admania_blog_layout = get_theme_mod('admania_blog_layout_type','amblyt1');

	if($admania_blog_layout === 'amblyt1') {		
	
	if(get_theme_mod('admania_dabothsidebar') === 1) {
		
	$admania_fwidth = '1200';
	$admania_fheight = '700';
		
	}
	else{
	
	if(get_theme_mod('layt4_cnt_rgtsdbr') === 1) {
	$admania_fwidth = '912';
	$admania_fheight = '478';
	}
	else {	
	$admania_fwidth = '653';
	$admania_fheight = '393';
	}
	
	}

	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
    	
	if(($admania_ytdimg != "")  || ($admania_image != "")){
	
	if($admania_ytdimg != "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_youtube_matchexp1 , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp1,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	} 	

	}
	else {
		
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>						
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	<?php
	}	
	else{
		
	if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	 <?php
	 }

	} 	
	
	else {
		
	if (has_post_thumbnail($post->ID) ) {
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	<?php
	}		
	}
    }
	}
    }

    elseif($admania_blog_layout === 'amblyt2') {	
	
	
	$admania_fwidth = '370';
	$admania_fheight = '240';		
	
	
	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
	
	?>
	
	<div class="admania-entryimage admania_layt2_entryimage">
	<?php
	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
    <?php 
	}
   
	}
	else {
		
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>						
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	<?php
	}	
	else {	
    if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	
	if(!empty($admania_exturl) != ''){
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	 <?php
	 }

	}

	else {
		
	if (has_post_thumbnail($post->ID) ) {
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	<?php
	
	}		
	}	
	}	
	}
	?>	 
	</div>
    <?php	
    }
    elseif($admania_blog_layout === 'amblyt3') {	
	$admania_ftdimgclass = '';
	
	if(get_theme_mod('admania_dabothsidebar') === 1) {
	
		$admania_fwidth = '360';
		$admania_fheight = '234';
	
	}
	
	else {
	
	if(get_theme_mod('layt4_cnt_rgtsdbr') === 1){
		
		$admania_fwidth = '360';
		$admania_fheight = '234';
		
	}
    else{
		
		$admania_fwidth = '259';
		$admania_fheight = '168';
		$admania_ftdimgclass = 'admania-gridpostimg';
		
	}
	
	}
	
	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
	
	?>
	
	<div class="admania-entryimage <?php echo esc_attr($admania_ftdimgclass); ?>">
    <?php
	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	}
	
	}
	else {
			
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>						
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	<?php
	}		
	else {	
		
    if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	 <?php
	 }

	}

	else {
		
	if (has_post_thumbnail($post->ID) ) {
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	<?php
	}		
	}	  	
	}	
	}
	?>	 
	</div>
<?php	
}
elseif($admania_blog_layout === 'amblyt4') {	

if(get_theme_mod('admania_dabothsidebar') === 1) {
		
		if((get_theme_mod('layt4_cnt_rgtsdbr') === 1) && (get_theme_mod('layt4_cnt_lstsdbr') === 1) && get_theme_mod('layt4_cnt_frstlaytlstsdbr') === 1) {
			$admania_fwidth = '1200';
			$admania_fheight = '650';		
		}
		else {
			$admania_fwidth = '850';
			$admania_fheight = '450'; 
		}
		
}

else {

		if((get_theme_mod('layt4_cnt_rgtsdbr') === 1) && (get_theme_mod('layt4_cnt_lstsdbr') === 1) && get_theme_mod('layt4_cnt_frstlaytlstsdbr') === 1) {
		$admania_fwidth = '871';
	$admania_fheight = '453';		
		}
		else {
    if(get_theme_mod('layt4_cnt_lstsdbr') === 1 ) {
	$admania_fwidth = '611';
	$admania_fheight = '382';
	}
	elseif(get_theme_mod('layt4_cnt_rgtsdbr') === 1 || get_theme_mod('layt4_cnt_frstlaytlstsdbr') === 1){
	$admania_fwidth = '947';
	$admania_fheight = '568';	
	}	
	else {
	$admania_fwidth = '472';
	$admania_fheight = '295';
	}
		}	
	
}
    
	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img

	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	} 	

	}
	else {
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>						
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	<?php
	}		
	else {
		
	if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	 <?php
	 }

	} 	
	else {		
	if (has_post_thumbnail($post->ID) ) {
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	<?php
	}		
	}	  
	}	
	}
}

elseif($admania_blog_layout === 'amblyt5') {	

    $admania_bylineck = get_theme_mod('admania_ebylfp');
	
	if(get_theme_mod('admania_dabothsidebar') === 1) {
	 
		$admania_fwidth = '576';
		$admania_fheight = '360'; 
	 
    }

	else {
        

        if((get_theme_mod('layt4_cnt_rgtsdbr') === 1)) {
			$admania_fwidth = '576';
			$admania_fheight = '360';			
		}	
		else {
	        $admania_fwidth = '418';
			$admania_fheight = '261';  
		}		
			
	
	}
   
	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
	
	
		
		if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
		}
		
			
	if (has_post_thumbnail($post->ID) ) {
		
		$admania_exturl =  $admania_imgurl;	
	}		
			
		
		if(($admania_image == "") && ($admania_ytdimg == "") && (!empty($admania_exturl) == '')):
		$admania_wotftdimage = 'admania-layt5wotftimg';
		else:
		$admania_wotftdimage = '';
		endif;
    ?>
   	<div class="admanialayt5-entryheader <?php echo esc_attr($admania_wotftdimage); ?>">
	
	<?php	
	  
	
    if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	}
	}
	else {
		
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>						
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	<?php
	}	
	else {	
	if(!empty($admania_exturl) != ''){
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	<?php
	}
    else {		
	if (has_post_thumbnail($post->ID) ) {
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	<?php
	}		
	}	    	
	}	
	}
	
	?>
	
	<div class="admanialayt5-entrymeta-ads">
            <?php							
				if(get_theme_mod('admania_ebylfp') !== 1) {
				if(get_theme_mod('admania_pcategory') !== 1) {
			?>
			<div class="admania-entrymeta admanialayt5-entrymeta"> 
				<?php esc_html_e('In','ad-mania'); ?>
				<?php the_category(' , '); ?>
			</div>				
			<?php } } ?>
			<div class="admania-entryheader admania-layt4entryheader">
				<?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
					<div class="admania-entrybyline admania-layt5entrybyline">
						<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
					<span class="admania-stickypost">
						<?php esc_html_e( 'Featured', 'ad-mania' ); ?>
					</span>
					<div class="admania-entrybylinecd">|</div>
						<?php endif; ?>
						<?php
										if( 1 !== (int) $admania_bylineck )  { 
										   if(get_theme_mod('admania_ppostedby') !== 1) {
                                            echo get_avatar( get_the_author_meta( 'user_email' ), 15 );											   
										   esc_html_e('By','ad-mania'); ?>
											<?php the_author_posts_link(); ?>
											<div class="admania-entrybylinecd">|</div>
											<?php  }
										if(get_theme_mod('admania_ppostedon') !== 1) {
										?>
											<?php esc_html_e('On','ad-mania'); ?>
											<?php the_time(get_option( 'date_format'));	  	  
										}
										}
									?>
								</div>
			</div>
	</div>
	
</div>
<?php

}


elseif($admania_blog_layout === 'amblyt6') {	



	if(get_theme_mod('admania_dabothsidebar') === 1) {
	
	$admania_fwidth = '327';
	$admania_fheight = '218';
	
	}
	
	else{
	
        if((get_theme_mod('layt4_cnt_rgtsdbr') === 1)) {
			$admania_fwidth = '457';
			$admania_fheight = '304';			
		}
		else {
			$admania_fwidth = '327';
			$admania_fheight = '218';
		}
	
	}
	
	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
	
	?>
	<div class="admania-boxedpostimg">
	
    <?php
	
	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
    <?php 
	}

   
	}
	else {
	
    if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>						
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	<?php
	}	
   	
	else {	
    if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	 <?php
	 }

	}

	else {		
	if (has_post_thumbnail($post->ID) ) {
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	<?php
	}		
	}	  	
	}	
	}
	?>	 
	</div>
    <?php		
    }
	
elseif($admania_blog_layout === 'amblyt7') {		
	
	if(get_theme_mod('admania_dabothsidebar') === 1) {
		$admania_fwidth = '1200';
		$admania_fheight = '700';
	}
	else{
		$admania_fwidth = '800';
		$admania_fheight = '450';
	}
			
	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
   
	?>
	<div class="admania_featured_postimg">	
    <?php
	
	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_youtube_matchexp1 , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp1,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	} 	

	}
	else {
		
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>						
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	<?php
	}		
	else {		
	if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	 <?php
	 }

	} 	
	
	else {
		
	if (has_post_thumbnail($post->ID) ) {
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	<?php
	}		
	}  
    }	
	}	
	?>	 
	</div>
    <?php		
    }
elseif($admania_blog_layout === 'amblyt8') {	
	
	$admania_fwidth = '360';
	$admania_fheight = '240';

	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
    if(((!is_single()) && (!is_page()))) {	
	?>
	<div class="admania-eighth-featured-image">	
    <?php
	}
	
	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_youtube_matchexp1 , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp1,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	} 	

	}
	else {
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>						
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	<?php
	}		
	else {		
	if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	 <?php
	 }

	} 	
	
	else {
		
	if (has_post_thumbnail($post->ID) ) {
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php
	}		
	}   
	}
	}
	if(((!is_single()) && (!is_page()))) {	
	?>	 
	</div>
    <?php	
	}
}
elseif($admania_blog_layout === 'amblyt9') {	
	
	
    if((get_theme_mod('layt4_cnt_rgtsdbr') === 1) || (get_theme_mod('admania_dabothsidebar') === 1)) {
		$admania_fwidth = '250';
		$admania_fheight = '200';			
	}
	else {
		$admania_fwidth = '200';
		$admania_fheight = '150';
	}
	

	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
   	
	?>
	<div class="admania-ninth-featured-image">	
    <?php
	
	
	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_youtube_matchexp1 , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp1,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	} 	

	}
	else {
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>						
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	<?php
	}		
	else {	
	if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	 <?php
	 }

	} 	
	
	else {
		
	if (has_post_thumbnail($post->ID) ) {
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	<?php
	}		
	} 
    }	
	}		
	?>	 
	</div>
    <?php	
	
}
elseif($admania_blog_layout === 'amblyt10') {	
	
	
    if((get_theme_mod('layt4_cnt_rgtsdbr') === 1) || (get_theme_mod('admania_dabothsidebar') === 1)) {
		$admania_fwidth = '500';
		$admania_fheight = '600';			
	}
	else {
		$admania_fwidth = '400';
		$admania_fheight = '450';
	}
	
	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
   	
	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	?>
	<div class="admania-ten-featured-image">
	<?php
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_youtube_matchexp1 , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp1,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	} 	
    ?>
	</div>
	<?php
	}
	else {
	
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>	
	<div class="admania-ten-featured-image">
	
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	
	</div>
	<?php
	}		
	else {	
	if (!has_post_thumbnail($post->ID) ) {
		
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
		 ?>
    <div class="admania-ten-featured-image">		
    
	
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
</div>	
	<?php
	 }
   
	} 	
	
	else {
	
	if (has_post_thumbnail($post->ID) ) {
	?>
	<div class="admania-ten-featured-image">
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>	
	</div>
	<?php
	}		
	} 
    }		
	}	
}
elseif($admania_blog_layout === 'amblyt11') {	
	
	
    if((get_theme_mod('layt4_cnt_rgtsdbr') === 1) || (get_theme_mod('admania_dabothsidebar') === 1)) {
		$admania_fwidth = '1200';
		$admania_fheight = '600';			
	}
	else {
		$admania_fwidth = '804';
		$admania_fheight = '526';
	}
	
	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
   	
	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_youtube_matchexp1 , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp1,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	} 	
    
	}
	else {
	
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>	
	
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	
	<?php
	}		
	else {	
	if (!has_post_thumbnail($post->ID) ) {
		
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
		 ?>
   
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>

	<?php
	 }
   
	} 	
	
	else {
	
	if (has_post_thumbnail($post->ID) ) {
	?>
	
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>	
	
	<?php
	}		
	} 
    }		
	}
	
}
elseif($admania_blog_layout === 'amblyt12') {	
	
	
    if((get_theme_mod('layt4_cnt_rgtsdbr') === 1) || (get_theme_mod('admania_dabothsidebar') === 1)) {
		$admania_fwidth = '650';
		$admania_fheight = '500';			
	}
	else {
		$admania_fwidth = '450';
		$admania_fheight = '290';
	}
	
	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
   	
	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_youtube_matchexp1 , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp1,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	} 	
    
	}
	else {
	
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>	
	
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	
	<?php
	}		
	else {	
	if (!has_post_thumbnail($post->ID) ) {
		
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
		 ?>
   
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>

	<?php
	 }
   
	} 	
	
	else {
	
	if (has_post_thumbnail($post->ID) ) {
	?>
	
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>	
	
	<?php
	}		
	} 
    }		
	}
	
}
elseif($admania_blog_layout === 'amblyt13') {	
	
	
    if((get_theme_mod('layt4_cnt_rgtsdbr') === 1) || (get_theme_mod('admania_dabothsidebar') === 1)) {
		$admania_fwidth = '445';
		$admania_fheight = '300';			
	}
	else {
		$admania_fwidth = '350';
		$admania_fheight = '245';
	}
	
	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
   	
	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_youtube_matchexp1 , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp1,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	} 	
    
	}
	else {
	
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>	
	
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	
	<?php
	}		
	else {	
	if (!has_post_thumbnail($post->ID) ) {
		
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
		 ?>
   
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>

	<?php
	 }
   
	} 	
	
	else {
	
	if (has_post_thumbnail($post->ID) ) {
	?>
	
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>	
	
	<?php
	}		
	} 
    }		
	}
	
}
elseif($admania_blog_layout === 'amblyt14') {	
	
	
		$admania_fwidth = '360';
		$admania_fheight = '250';
	
	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
   	
	if(($admania_ytdimg !== "")  || ($admania_image !== "")){
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_youtube_matchexp1 , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp1,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	} 	
    
	}
	else {
	
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
                        
	?>	
	
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	
	<?php
	}		
	else {	
	if (!has_post_thumbnail($post->ID) ) {
		
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
		 ?>
   
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>

	<?php
	 }
   
	} 	
	
	else {
	
	if (has_post_thumbnail($post->ID) ) {
	?>
	
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>	
	
	<?php
	}		
	} 
    }		
	}
	
}
}
if(is_single() || is_page()){
	
	$admania_spblog_layout = ((get_theme_mod('admania_splyts_scheme')) ? get_theme_mod('admania_splyts_scheme') : 'amsplyt4'); 
    	
	if($admania_spblog_layout === 'amsplyt1'){
		
	if(get_theme_mod('admania_dabothsidebar') === 1) {
		
	$admania_fwidth = '1200';
	$admania_fheight = '700';
		
	}
	
	else{
	
	if((get_theme_mod('layt4_cnt_rgtsdbr') === 1) || (get_theme_mod('layt4_cnt_lstsdbr') === 1)) {
	
	$admania_fwidth = '912';
	$admania_fheight = '478';
	
	}
	
	else {	
	
	$admania_fwidth = '653';
	$admania_fheight = '393';
	
	}
	
	}
	?>
<meta property="og:url"           content="<?php the_permalink();  ?>" />
  <meta property="og:type"          content="article" />
  <meta property="og:title"         content="<?php esc_attr(the_title());  ?>" />
  <meta property="og:description"   content="<?php  bloginfo( 'description' );   ?>" />
  <meta property="og:image"         content="<?php echo esc_url($admania_image); ?>" />
<?php
	}
	
	elseif(($admania_spblog_layout === 'amsplyt2') || ($admania_spblog_layout === 'amsplyt3') || ($admania_spblog_layout === 'amsplyt4') || ($admania_spblog_layout === 'amsplyt5')){
		
	if((get_theme_mod('admania_dabothsidebar') === 1) || (get_theme_mod('layt4_cnt_rgtsdbr') === 1) || (get_theme_mod('layt4_cnt_lstsdbr') === 1)) {
		
	$admania_fwidth = '1200';
	$admania_fheight = '700';
		
	}
	
	else{
	
	$admania_fwidth = '859';
	$admania_fheight = '639';
	
	}
	
	}
	
	elseif(($admania_spblog_layout === 'amsplyt6')){
	
	$admania_fwidth = '550';
	$admania_fheight = '600';
	
	}	
	
	elseif(($admania_spblog_layout === 'amsplyt7')){
	
	$admania_fwidth = '1200';
	$admania_fheight = '700';
	
	}	

	$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
    	
	if(($admania_ytdimg != "")  || ($admania_image != "")){
		
		if(($admania_spblog_layout === 'amsplyt6')){
			?>
			<div class="admania-post6-left-image">
			<?php
		}
	
	if($admania_ytdimg !== "") {
	
	if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_youtube_matchexp1 , $admania_ytdimg)) {	
	
	$admania_yuvid = preg_replace($admania_youtube_matchexp1,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_yuvid);
	
	}
	
	elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
	
	$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"https://player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
	
	echo wp_kses_stripslashes($admania_vimeovideos);
	
	}
	
	elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
	
	$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
	
	echo wp_kses_stripslashes($admania_souncloudsng);
	
	}
	
	} 		
	
	elseif($admania_image != "" && $admania_ytdimg == "" ) { 
	?>
				
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
	</a>
	<?php 
	} 	
    if(($admania_spblog_layout === 'amsplyt6')){
		?>
		</div>
		<?php
	}
	}
	else {
		
	if(get_theme_mod('admania_df_postimg') != '') {						
						
	$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
	$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
    if(($admania_spblog_layout === 'amsplyt6')){                    
	?>	
    <div class="admania-post6-left-image">	
	<?php
	}
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	<?php
	if(($admania_spblog_layout === 'amsplyt6')){                    
	?>	
    </div>	
	<?php
	}	
	}
		
	else{
		
	if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
	if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
		$admania_pic = $admania_allpics[1][0];
	if (strpos($admania_pic,"?")>0) {
		$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
	}
		
		$admania_exturl =  $admania_pic;
	}
	 if(!empty($admania_exturl) != ''){
	
	if(($admania_spblog_layout === 'amsplyt6')){                    
	?>	
    <div class="admania-post6-left-image">	
	<?php
	}
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
	</a>
	<?php
	if(($admania_spblog_layout === 'amsplyt6')){                    
	?>	
    </div>	
	<?php
	} 
	}
	} 	
	
	else {
		
	if (has_post_thumbnail($post->ID) ) {
	
	if(($admania_spblog_layout === 'amsplyt6')){                    
	?>	
    <div class="admania-post6-left-image">	
	<?php
	}
	?>
	<a href="<?php the_permalink(); ?>">
		<img src="<?php echo esc_url($admania_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
	</a>
	<?php
	if(($admania_spblog_layout === 'amsplyt6')){                    
	?>	
    </div>	
	<?php
	}	
	}		
	}
    }
	}
	
}
}
endif;


/*-----------------------------------------------------------------------------------*/
# Admania Breadcrumb
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'admania_breadcrumb' ) ) :

function admania_breadcrumb() {
global $post;
	$admania_delimiter = '/';	
	echo '<div class="admania_breadcrumb">';	
	$admania_homeLink = home_url();
	echo '<a href="' . esc_url($admania_homeLink) . '" class="bcb">'.esc_html__('Home','ad-mania').'</a> ' . esc_attr($admania_delimiter) . ' ';
	

if ( is_single() && !is_attachment() ) {

	if ( get_post_type() !== 'post' ) {
	
		$admania_post_type = get_post_type_object(get_post_type());
		$admania_slug = $admania_post_type->rewrite;
		echo '<a href="' . esc_url($admania_homeLink) . '/' . esc_html($admania_slug['slug']) . '/">' . esc_html($admania_post_type->labels->singular_name) . '</a>' . esc_attr($admania_delimiter) . ' ';
		echo esc_html(get_the_title());
	
	} 

else {

	$admania_cat = get_the_category(); 
	$admania_cat = $admania_cat[0];
	echo get_category_parents($admania_cat, TRUE, ' ' . $admania_delimiter . ' ');
	echo esc_html(get_the_title());
	
}
} 


elseif ( is_attachment() ) {

	$admania_parent_id  = $post->post_parent;
	$admania_breadcrumbs = array();
	while ($admania_parent_id) {
	$admania_page = get_page($admania_parent_id);
	$admania_breadcrumbs[] = '<a href="' . esc_url(get_permalink($admania_page->ID)) . '">' . esc_html(get_the_title($admania_page->ID)) . '</a>';
	$admania_parent_id    = $admania_page->post_parent;
	}
	$admania_breadcrumbs = array_reverse($admania_breadcrumbs);
	foreach ($admania_breadcrumbs as $admania_crumb) echo ' ' . wp_kses_stripslashes($admania_crumb) . ' ' . wp_kses_stripslashes($admania_delimiter) . ' ';
	echo esc_html(get_the_title());

} 

elseif ( is_page() && !$post->post_parent ) {

	echo esc_html(get_the_title());
	
} 

elseif ( is_page() && $post->post_parent ) {

	$admania_parent_id  = $post->post_parent;
	$admania_breadcrumbs = array();
	while ($admania_parent_id) {
	$admania_page = get_page($admania_parent_id);
	$admania_breadcrumbs[] = '<a href="' . esc_url(get_permalink($admania_page->ID)) . '">' . esc_html(get_the_title($admania_page->ID)) . '</a>';
	$admania_parent_id    = $admania_page->post_parent;
	
}

$admania_breadcrumbs = array_reverse($admania_breadcrumbs);
foreach ($admania_breadcrumbs as $admania_crumb) 
echo ' ' . wp_kses_stripslashes($admania_crumb) . ' ' . wp_kses_stripslashes($admania_delimiter) . ' ';
echo esc_html(get_the_title());

} 

if ( get_query_var('paged') ) {
if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo '(';
echo ('Page') . ' ' . get_query_var('paged');
if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
}

echo '</div>';

}

endif;

	
/*-----------------------------------------------------------------------------------*/
# Adds Admania post content ad
/*-----------------------------------------------------------------------------------*/	
	
	if(! function_exists( 'admania_adcontent' )):
	function admania_adcontent($admania_content){
		
	 if ( class_exists( 'Woocommerce' ) ):
	 
	 return $admania_content;
	 
	 else:
	 
	 global $post,$admania_options,$admania_posttype;
	 
     $admania_posttypes = get_post( $post->ID );
	 
     $admania_posttype = $admania_posttypes->post_type; // post type 	
	 
 	 if (((!is_single()) && (!is_page()))) return $admania_content;
	       	
	 if($admania_posttype == 'post') {
	
	 //Single Post Metabox Variables 
 
	$admania_pstadenable3 = get_post_meta($post->ID, '_admania_pstadenable3', true);
	$admania_bfpstadhtmlcd3 = get_post_meta($post->ID, '_admania_bfpstadhtmlcd3', true);
	$admania_bfpstadglecd3 = get_post_meta($post->ID, '_admania_bfpstadglecd3', true);
	$admania_bfpstadimg3 = get_post_meta($post->ID, '_admania_bfpstadimg3', true);
	$admania_bfpstadimglnk3 = get_post_meta($post->ID, '_admania_bfpstadimglnk3', true);
	
	$admania_rotbfpstadhtmlcd3 = get_post_meta($post->ID, '_admania_rotbfpstadhtmlcd3', true);
	$admania_rotbfpstadglecd3 = get_post_meta($post->ID, '_admania_rotbfpstadglecd3', true);
	$admania_rotbfpstadimg3 = get_post_meta($post->ID, '_admania_rotbfpstadimg3', true);
	$admania_rotbfpstadimglnk3 = get_post_meta($post->ID, '_admania_rotbfpstadimglnk3', true);
	
	$admania_pstadpstnbr1 = get_post_meta($post->ID, '_admania_pstadpstnbr1', true); 
	
	if($admania_pstadenable3 != '') {
	$admania_paragraphAfter = $admania_pstadpstnbr1;
	}
	else {
	
	$admania_paragraphAfter = admania_get_option('snglepst_aftrnthparano'); //Enter number of paragraphs to display ad after.

	}
	
	$admania_content = explode("</p>", $admania_content);
	$admania_newcontent = '';
	for ($i = 0; $i < count($admania_content); $i++) {
	if ($i == $admania_paragraphAfter) {
	
	$admania_rmvcatids11 =  admania_get_option('ad_rmcatlist12');			
	$admania_rmvcatids_extractids11 = explode(',',$admania_rmvcatids11);
	$admania_rmvtagids11 = admania_get_option('ad_rmtaglist12');
	$admania_rmvtagids_extractids11 = explode(',',$admania_rmvtagids11);			
			
    if((!is_category($admania_rmvcatids_extractids11)) && (!is_tag($admania_rmvtagids_extractids11))) {
	
		if(($admania_pstadenable3 != '') || (admania_get_option('sngle_pstinrnthad') != '')) { 
		 
		$admania_newcontent.= '<div class="admania-aftrnthprad admania-themead">';
	   
  	    if((admania_get_lveditoption('hdr_lvedlhtmlad12') != '') || (admania_get_lveditoption('hdr_lvedlglead12') != '') || (admania_get_lveditoption('admania_lvedtimg_url12') != '')) {
		
		    if(admania_get_lveditoption('hdr_rotlvedlhtmlad12') != ''){
			
			$admania_newcontent.= '<div class="admania-lyt3rothad1">';	
			
            }
 
			if(admania_get_lveditoption('hdr_lvedlhtmlad12') != ''):			
			
			$admania_newcontent.= admania_get_lveditoption('hdr_lvedlhtmlad12');			
			
			endif;
			
			if(admania_get_lveditoption('hdr_rotlvedlhtmlad12') != ''){
			
			$admania_newcontent.= '</div>';
			
			$admania_newcontent.= '<div class="admania-lyt3rothad2">';				
			
			$admania_newcontent.= wp_kses_stripslashes(admania_get_lveditoption('hdr_rotlvedlhtmlad12'));
			
			$admania_newcontent.= '</div>';
		
            }
				
			
			if(admania_get_lveditoption('hdr_lvedlglead12') != ''):

			$admania_newcontent.= wp_kses_stripslashes(admania_get_lveditoption('hdr_lvedlglead12'));	
			
			endif;
			
			if((admania_get_lveditoption('admania_rotlvedtimg_url12') != '') || (admania_get_lveditoption('admania_rotlvedtrimgtg_url12') != '') ) {
			
			$admania_newcontent.= '<div class="admania-lyt3rothad1">';	
			
			}			
		
			
			if((admania_get_lveditoption('admania_lvedtimg_url12') != '') || (admania_get_lveditoption('admania_lvedtrimgtg_url12') != '') ):
			
			$admania_newcontent.= '<a href="'.esc_url(admania_get_lveditoption('admania_lvedtrimgtg_url12')).'">';	
			
			$admania_newcontent.= ' <img src="'.esc_url(admania_get_lveditoption('admania_lvedtimg_url12')).'" alt="'.esc_html__('adimage','ad-mania').'"/>';
			
			$admania_newcontent.= '</a>';			
					
			endif; 


            if((admania_get_lveditoption('admania_rotlvedtimg_url12') != '') || (admania_get_lveditoption('admania_rotlvedtrimgtg_url12') != '') ) {
			
			$admania_newcontent.= '</div>';
			
			$admania_newcontent.= '<div class="admania-lyt3rothad2">';				
			
			$admania_newcontent.= '<a href="'.esc_url(admania_get_lveditoption('admania_rotlvedtrimgtg_url12')).'">';	
			
			$admania_newcontent.= ' <img src="'.esc_url(admania_get_lveditoption('admania_rotlvedtimg_url12')).'" alt="'.esc_html__('adimage','ad-mania').'"/>';
			
			$admania_newcontent.= '</a>';	
			
			$admania_newcontent.= '</div>';
			
			}        
			
			}
	else {
	if($admania_pstadenable3 != '') {
	
		
			if($admania_rotbfpstadhtmlcd3 != ''){
			
			$admania_newcontent.= '<div class="admania-lyt3rothad1">';	
			
            }
		
 
			if($admania_bfpstadhtmlcd3 != ''):			
			
			$admania_newcontent.= $admania_bfpstadhtmlcd3;			
			
			endif;
			
			
			if($admania_rotbfpstadhtmlcd3 != ''){
			
			$admania_newcontent.='</div>';
			$admania_newcontent.='<div class="admania-lyt3rothad2">';
			$admania_newcontent.= $admania_rotbfpstadhtmlcd3; 
			$admania_newcontent.='</div>';
			
            }
			
			if($admania_rotbfpstadglecd3 != ''){			
			$admania_newcontent.= '<div class="admania-lyt3rothad1">';				
            }
			
			
			
			if($admania_bfpstadglecd3 != ''):

			$admania_newcontent.= $admania_bfpstadglecd3;	
			
			endif;
			
			
			if($admania_rotbfpstadglecd3 != ''){
			$admania_newcontent.='</div>';
			$admania_newcontent.='<div class="admania-lyt3rothad2">';
			$admania_newcontent.= $admania_rotbfpstadglecd3; 
			$admania_newcontent.='</div>';
            }
					
			if(($admania_rotbfpstadimg3 != '') || ($admania_rotbfpstadimglnk3 != '') ){
			$admania_newcontent.= '<div class="admania-lyt3rothad1">';		
            }	
			
			
			if(($admania_bfpstadimg3 != '') || ($admania_bfpstadimglnk3 != '') ):
			
			$admania_newcontent.= '<a href="'.esc_url($admania_bfpstadimglnk3).'">';	
			
			$admania_newcontent.= ' <img src="'.esc_url($admania_bfpstadimg3).'" alt="'.esc_html__('adimage','ad-mania').'"/>';
			
			$admania_newcontent.= '</a>';			
					
			endif; 
			
			if(($admania_rotbfpstadimg3 != '') || ($admania_rotbfpstadimglnk3 != '') ){
			
			$admania_newcontent.= '</div>';
			$admania_newcontent.= '<div class="admania-lyt3rothad2">';	
			$admania_newcontent.= '<a href="'.esc_url($admania_rotbfpstadimglnk3).'">';				
			$admania_newcontent.= ' <img src="'.esc_url($admania_rotbfpstadimg3).'" alt="'.esc_html__('adimage','ad-mania').'"/>';
			$admania_newcontent.= '</a>';	
			$admania_newcontent.= '</div>';
			
            }
	
	}
	
	else {
	if (admania_get_option('sngle_pstinrnthad') !='') {		
	
 
            if(admania_get_option('sngle_rotpstinrnthhtmlad') != ''){
			
			$admania_newcontent.= '<div class="admania-lyt3rothad1" id="admania_sgptnthparaad_statics">';	
			
            }	
 
			if(admania_get_option('sngle_pstinrnthhtmlad') != ''):
			
			$admania_newcontent.= '<div id="admania_sgptnthparaad_statics">';	
			
			$admania_newcontent.= admania_get_option('sngle_pstinrnthhtmlad');	
			
			$admania_newcontent.= '</div">';	
			
			endif;
			
			if(admania_get_option('sngle_rotpstinrnthhtmlad') != ''){
			
			$admania_newcontent.= '</div>';			
			$admania_newcontent.= '<div class="admania-lyt3rothad2" id="admania_sgptnthpararotad_statics">';	
			$admania_newcontent.=  wp_kses_stripslashes(admania_get_option('sngle_rotpstinrnthhtmlad')); 
			$admania_newcontent.= '</div>';
						
            }

			
			if(admania_get_option('sngle_pstinrnthgglead') != ''):

			$admania_newcontent.= '<div id="admania_sgptnthparaglead_statics">';	
						
			$admania_newcontent.= admania_get_option('sngle_pstinrnthgglead');	
			
			$admania_newcontent.= '</div>';
			
			endif;
						
			
			if((admania_get_option('admania_rotadimg_url13') != '') || (admania_get_option('admania_rotadimgtg_url13') != '')){
			
			$admania_newcontent.= '<div class="admania-lyt3rothad1" id="admania_sgptnthparalnkad_statics">';	
			
            }	
			
			
			if((admania_get_option('admania_adimg_url13') != '') || (admania_get_option('admania_adimgtg_url13') != '') ):
			
			$admania_newcontent.= '<a href="'.esc_url(admania_get_option('admania_adimgtg_url13')).'">';	
			
			$admania_newcontent.= ' <img src="'.esc_url(admania_get_option('admania_adimg_url13')).'" alt="'.esc_html__('adimage','ad-mania').'"/>';
			
			$admania_newcontent.= '</a>';			
					
			endif; 
			
			
			if((admania_get_option('admania_rotadimg_url13') != '') || (admania_get_option('admania_rotadimgtg_url13') != '')){
				
			$admania_newcontent.= '</div>';			
			$admania_newcontent.= '<div class="admania-lyt3rothad2" id="admania_sgptnthparalnkrotad_statics">';	
			$admania_newcontent.= '<a href="'.esc_url(admania_get_option('admania_rotadimgtg_url13')).'">';				
			$admania_newcontent.= ' <img src="'.esc_url(admania_get_option('admania_rotadimg_url13')).'" alt="'.esc_html__('adimage','ad-mania').'"/>';
			$admania_newcontent.= '</a>';	
			$admania_newcontent.= '</div>';
						
            }
	
	}
	}
	}	
	if(current_user_can('administrator')){			
    $admania_newcontent.= '<div class="admania-adeditablead1 admania_lvetresitem12">';				
	$admania_newcontent.= '<i class="fa fa-edit"></i>';
	$admania_newcontent.= ''.esc_html__('Edit','ad-mania').'';
    $admania_newcontent.= '</div>';			 
    } 
	$admania_newcontent.= '</div>';
	}
	}
	}	
	
	$admania_newcontent.= $admania_content[$i];
		
	}
	
	return $admania_newcontent;
	
	}

	elseif($admania_posttype == 'page') {	
	
	// Page Metabox Variables  

	$admania_pgepstadenable3 = get_post_meta($post->ID, '_admania_pgepstadenable3', true);
	$admania_bfpgepstadhtmlcd3 = get_post_meta($post->ID, '_admania_bfpgepstadhtmlcd3', true);
	$admania_bfpgepstadglecd3 = get_post_meta($post->ID, '_admania_bfpgepstadglecd3', true);
	$admania_bfpgepstadimg3 = get_post_meta($post->ID, '_admania_bfpgepstadimg3', true);
	$admania_bfpgepstadimglnk3 = get_post_meta($post->ID, '_admania_bfpgepstadimglnk3', true); 
    $admania_pgepstadpgepstnbr1 = get_post_meta($post->ID, '_admania_pgepstadpgepstnbr1', true); 
	
	if($admania_pgepstadenable3 != '') {
	$admania_pgeparagraphAfter = $admania_pgepstadpgepstnbr1;
	}
	else {
	$admania_pgeparagraphAfter = admania_get_option('pagepst_aftrnthparano'); //Enter number of paragraphs to display ad after.
	}
	$admania_content = explode("</p>", $admania_content);
	$admania_pgnewcontent = '';
	for ($pi = 0; $pi < count($admania_content); $pi++) {
	if ($pi == $admania_pgeparagraphAfter) {
	$admania_rmvcatids17 =  admania_get_option('ad_rmcatlist18');			
	$admania_rmvcatids_extractids17 = explode(',',$admania_rmvcatids17);			
	$admania_rmvtagids17 = admania_get_option('ad_rmtaglist18');
	$admania_rmvtagids_extractids17 = explode(',',$admania_rmvtagids17);			
			
    if((!is_category($admania_rmvcatids_extractids17)) && (!is_tag($admania_rmvtagids_extractids17))) {	
	
	if(($admania_pgepstadenable3 != '') || (admania_get_option('page_pstinrnthad') != '')) {
	
		$admania_pgnewcontent.= '<div class="admania-pgaftrnthprad admania-themead">';
	   
  	    if((admania_get_lveditoption('hdr_lvedlhtmlad19') != '') || (admania_get_lveditoption('hdr_lvedlglead19') != '') || (admania_get_lveditoption('admania_lvedtimg_url19') != '')) {
					 
			
			
			if(admania_get_lveditoption('hdr_rotlvedlhtmlad19') != ''){
			
			$admania_pgnewcontent.= '<div class="admania-lyt3rothad1">';	
			
            }
			
			if(admania_get_lveditoption('hdr_lvedlhtmlad19') != ''):			
			
			$admania_pgnewcontent.= admania_get_lveditoption('hdr_lvedlhtmlad19');			
			
			endif;
			
			if(admania_get_lveditoption('hdr_rotlvedlhtmlad19') != ''){
			
			$admania_pgnewcontent.= '</div>';
			
			$admania_pgnewcontent.= '<div class="admania-lyt3rothad2">';				
			
			$admania_pgnewcontent.= wp_kses_stripslashes(admania_get_lveditoption('hdr_rotlvedlhtmlad19'));
			
			$admania_pgnewcontent.= '</div>';
		
            }
			
			if(admania_get_lveditoption('hdr_rotlvedlglead19') != ''){
			
			$admania_pgnewcontent.= '<div class="admania-lyt3rothad1">';	
            
			}
			
			
			if(admania_get_lveditoption('hdr_lvedlglead19') != ''):

			$admania_pgnewcontent.= admania_get_lveditoption('hdr_lvedlglead19');	
			
			endif;
			
			if(admania_get_lveditoption('hdr_rotlvedlglead19') != ''){
			
			$admania_pgnewcontent.= '</div>';
			
			$admania_pgnewcontent.= '<div class="admania-lyt3rothad2">';				
			
			$admania_pgnewcontent.= wp_kses_stripslashes(admania_get_lveditoption('hdr_rotlvedlglead19'));
			
			$admania_pgnewcontent.= '</div>';
            
			}
			
			if((admania_get_lveditoption('admania_rotlvedtimg_url19') != '') || (admania_get_lveditoption('admania_rotlvedtrimgtg_url19') != '') ) {
			
			$admania_pgnewcontent.= '<div class="admania-lyt3rothad1">';	
			
			}			
			
			if((admania_get_lveditoption('admania_lvedtimg_url19') != '') || (admania_get_lveditoption('admania_lvedtrimgtg_url19') != '') ):
			
			$admania_pgnewcontent.= '<a href="'.esc_url(admania_get_lveditoption('admania_lvedtrimgtg_url19')).'">';	
			
			$admania_pgnewcontent.= ' <img src="'.esc_url(admania_get_lveditoption('admania_lvedtimg_url19')).'" alt="'.esc_html__('adimage','ad-mania').'"/>';
			
			$admania_pgnewcontent.= '</a>';			
					
			endif; 	
			
			
			if((admania_get_lveditoption('admania_rotlvedtimg_url19') != '') || (admania_get_lveditoption('admania_rotlvedtrimgtg_url19') != '') ) {
			
			$admania_pgnewcontent.= '</div>';
			
			$admania_pgnewcontent.= '<div class="admania-lyt3rothad2">';				
			
			$admania_pgnewcontent.= '<a href="'.esc_url(admania_get_lveditoption('admania_rotlvedtrimgtg_url19')).'">';	
			
			$admania_pgnewcontent.= ' <img src="'.esc_url(admania_get_lveditoption('admania_rotlvedtimg_url19')).'" alt="'.esc_html__('adimage','ad-mania').'"/>';
			
			$admania_pgnewcontent.= '</a>';	
			
			$admania_pgnewcontent.= '</div>';
			
			}  
			
			
	   }
	
	else {
	
	if($admania_pgepstadenable3 != '') {		
 
			if($admania_bfpgepstadhtmlcd3 != ''):			
			
			$admania_pgnewcontent.= $admania_bfpgepstadhtmlcd3;			
			
			endif;
			
			if($admania_bfpgepstadglecd3 != ''):

			$admania_pgnewcontent.= $admania_bfpgepstadglecd3;	
			
			endif;
			
			if(($admania_bfpgepstadimg3 != '') || ($admania_bfpgepstadimglnk3 != '') ):
			
			$admania_pgnewcontent.= '<a href="'.esc_url($admania_bfpgepstadimglnk3).'">';	
			
			$admania_pgnewcontent.= ' <img src="'.esc_url($admania_bfpgepstadimg3).'" alt="'.esc_html__('adimage','ad-mania').'"/>';
			
			$admania_pgnewcontent.= '</a>';			
					
			endif; 
	
	
	}
	else {
	if (admania_get_option('page_pstinrnthad') != '') {	

            if(admania_get_option('page_rotpstinrnthhtmlad') != ''){
			
			$admania_pgnewcontent.= '<div class="admania-lyt3rothad1">';	
			
            }	
	
	 
			if(admania_get_option('page_pstinrnthhtmlad') != ''):			
			
			$admania_pgnewcontent.= admania_get_option('page_pstinrnthhtmlad');			
			
			endif;
			
				
			if(admania_get_option('page_rotpstinrnthhtmlad') != ''){
			
			$admania_pgnewcontent.= '</div>';			
			$admania_pgnewcontent.= '<div class="admania-lyt3rothad2">';	
			$admania_pgnewcontent.=  wp_kses_stripslashes(admania_get_option('page_rotpstinrnthhtmlad')); 
			$admania_pgnewcontent.= '</div>';
						
            }
			
			if(admania_get_option('page_rotpstinrnthgglead') != ''){
			
			$admania_pgnewcontent.= '<div class="admania-lyt3rothad1">';	
			
            }	
			
			if(admania_get_option('page_pstinrnthgglead') != ''):

			$admania_pgnewcontent.= admania_get_option('page_pstinrnthgglead');	
			
			endif;
			
			if(admania_get_option('page_rotpstinrnthgglead') != ''){
			
			$admania_pgnewcontent.= '</div>';			
			$admania_pgnewcontent.= '<div class="admania-lyt3rothad2">';	
			$admania_pgnewcontent.=  wp_kses_stripslashes(admania_get_option('page_rotpstinrnthgglead')); 
			$admania_pgnewcontent.= '</div>';
						
            }
			
			
			if((admania_get_option('admania_rotadimg_url20') != '') || (admania_get_option('admania_rotadimgtg_url20') != '')){
			
			$admania_pgnewcontent.= '<div class="admania-lyt3rothad1">';	
			
            }	
			
			
			if((admania_get_option('admania_adimg_url20') != '') || (admania_get_option('admania_adimgtg_url20') != '') ):
			
			$admania_pgnewcontent.= '<a href="'.esc_url(admania_get_option('admania_adimgtg_url20')).'">';	
			
			$admania_pgnewcontent.= ' <img src="'.esc_url(admania_get_option('admania_adimg_url20')).'" alt="'.esc_html__('adimage','ad-mania').'"/>';
			
			$admania_pgnewcontent.= '</a>';			
					
			endif; 
			
			if((admania_get_option('admania_rotadimg_url20') != '') || (admania_get_option('admania_rotadimgtg_url20') != '')){
			
			$admania_pgnewcontent.= '</div>';			
			$admania_pgnewcontent.= '<div class="admania-lyt3rothad2">';	
			$admania_pgnewcontent.= '<a href="'.esc_url(admania_get_option('admania_rotadimgtg_url20')).'">';				
			$admania_pgnewcontent.= ' <img src="'.esc_url(admania_get_option('admania_rotadimg_url20')).'" alt="'.esc_html__('adimage','ad-mania').'"/>';
			$admania_pgnewcontent.= '</a>';	
			$admania_pgnewcontent.= '</div>';
            			
			
            }
	
	
	
	}
	}
	}
	if(current_user_can('administrator')){			
    $admania_pgnewcontent.= '<div class="admania-adeditablead1 admania_lvetresitem19">';				
	$admania_pgnewcontent.= '<i class="fa fa-edit"></i>';
	$admania_pgnewcontent.= ''.esc_html__('Edit','ad-mania').'';
    $admania_pgnewcontent.= '</div>';			 
    } 
	$admania_pgnewcontent.= '</div>';
	}
	}
	}
	$admania_pgnewcontent.= $admania_content[$pi];
	}
		
	return $admania_pgnewcontent;
	
	}
	
	else {
	return $admania_content;
	}
   
    endif;
	
	}
	
    endif;
	
	add_filter('the_content', 'admania_adcontent');
	
/*-----------------------------------------------------------------------------------*/
# Admania Post/Page Entry Meta
/*-----------------------------------------------------------------------------------*/


if ( ! function_exists( 'admania_entrymeta' ) ) :

function admania_entrymeta() {	
global $post;
      if(is_single()) {	
	  
		$admania_spblog_layout = get_theme_mod('admania_splyts_scheme','amsplyt4'); 
        if(($admania_spblog_layout === 'amsplyt6') || ($admania_spblog_layout === 'amsplyt7')) {
			$admania_spblogimg = 35;
		}		
		else {
			$admania_spblogimg = 20;
		}
		if(get_theme_mod('admania_ebylfp') !== 1) { ?>
<div class="admania-entrybyline admania-entrypgbyline admania-entrysgbyline">
  <?php  if(get_theme_mod('admania_ppostedby') !== 1) {	  ?>
  <div class="admania-entryauthor">
    <?php
		echo get_avatar( get_the_author_meta( 'user_email' ), $admania_spblogimg );
		
	   esc_html_e('By','ad-mania');
	   ?>
    <?php the_author_posts_link(); ?>
  </div>
  <div class="admania-entryline"> / </div>
	<?php  }     
	if(get_theme_mod('admania_ppostedon') !== 1) {
	?>
	
  <div class="admania-entrydate">
    <?php
	   esc_html_e('On','ad-mania');
	   ?>
    <?php the_time(get_option( 'date_format')); ?>
  </div>
  <div class="admania-entryline"> / </div>
  <?php  }
   if(get_theme_mod('admania_ppostedtime') !== 1) {
   ?>
    <div class="admania-entrydate">
    <?php
	   esc_html_e('At','ad-mania');
	?>
    <?php the_time(get_option( 'time_format')); ?>
    </div> 
    <?php	
    if(($admania_spblog_layout !== 'amsplyt6')) {
	?>		
    <div class="admania-entryline"> / </div>
   <?php
	}
   }
   if(($admania_spblog_layout !== 'amsplyt6') && ($admania_spblog_layout !== 'amsplyt7')) {
   if(get_theme_mod('admania_pcategory') !== 1) {
   ?>
  <div class="admania-entrycategory">
    <?php
	   esc_html_e('In','ad-mania');
	   ?>
    <?php the_category(' , '); ?>
  </div>
   <?php } }
	 $admania_postformat = get_post_format();
	
	 if(!empty($admania_postformat)) { ?>
  <div class="admania-entryline"> / </div>
  <div class="admania-entry-format"> <i class="fa admania-fontaws"></i> <a href="<?php echo esc_url( get_post_format_link( $admania_postformat ));?>">
    <?php  echo esc_html($admania_postformat); ?>
    </a> </div>
  <?php
			
	 }
	 if(get_theme_mod('admania_dsebyvw') !== 1) {	 
	
    if(($admania_spblog_layout === 'amsplyt6')) {
	?>		
    <div class="admania-entryline"> / </div>
   <?php
	}
	?>
  <div class="admania-viewcnt"> <?php echo admania_get_post_views($post->ID); ?> <span class="admania-view-text">
    <?php esc_html_e('Views','ad-mania'); ?>
    </span> </div>
  <?php  } ?>
</div>
<?php  }
}

if(is_page()) {
		if(get_theme_mod('admania_ebylfpage') != '') {
		?>
<div class="admania-entrybyline admania-entrypgbyline admania-entrypgebyline">
  <?php if(get_theme_mod('padmania_ppostedby') != '') {  ?>
  <div class="admania-entryauthor">
    <?php
		echo get_avatar( get_the_author_meta( 'user_email' ), 20 );
		?>
    <?php esc_html_e('By','ad-mania'); ?>
    <?php the_author_posts_link(); ?>
  </div>
  <div class="admania-entryline"> / </div>
  <?php  } 
	 if(get_theme_mod('padmania_ppostedon') != '') {
	 ?>
  <div class="admania-entrydate">
    <?php esc_html_e('On','ad-mania'); ?>
    <?php the_time(get_option( 'date_format')); ?>
  </div>
  <?php  }
	
	 if(get_theme_mod('padmania_ppview') != '') {
	 ?>
  <div class="admania-viewcnt"> <?php echo admania_get_post_views($post->ID); ?> <span class="admania-view-text">
    <?php esc_html_e('Views','ad-mania'); ?>
    </span> </div>
  <?php  } ?>
</div>
<?php } 
}	 
}	
endif;
	
	
/*-----------------------------------------------------------------------------------*/
# ADMANIA REMOVE ADD TO CART BUTTON ON PRODUCT ARCHIVE (SHOP) */
/*-----------------------------------------------------------------------------------*/	

if (class_exists( 'Woocommerce' )):

/*STEP 1 - REMOVE ADD TO CART BUTTON ON PRODUCT ARCHIVE (SHOP) */
if ( ! function_exists( 'admania_remove_loop_button' ) ) :
function admania_remove_loop_button(){	
remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );
}
endif;

add_action('init','admania_remove_loop_button');

/*-----------------------------------------------------------------------------------*/
# ADMANIA REMOVE ADD TO CART BUTTON ON PRODUCT ARCHIVE (SHOP) */
/*-----------------------------------------------------------------------------------*/	

/*STEP 2 -ADD NEW BUTTON THAT LINKS TO PRODUCT PAGE FOR EACH PRODUCT   */

add_action('woocommerce_before_shop_loop_item_title','admania_replace_add_to_cart',10);
if ( ! function_exists( 'admania_replace_add_to_cart' ) ) :
function admania_replace_add_to_cart() {
global $product;
echo apply_filters( 'woocommerce_loop_add_to_cart_link',
    sprintf( '<a href="%s" rel="nofollow" data-quantity="1" data-product_id="%s" data-product_sku="%s" class="button %s product_type_%s ajax_add_to_cart admania_add_to_cart"><i class="fa fa-shopping-cart"></i> %s</a>',
        esc_url( $product->add_to_cart_url() ),
        esc_attr( $product->get_id() ),
        esc_attr( $product->get_sku() ),
        $product->is_purchasable() ? 'add_to_cart_button' : '',
        esc_attr( $product->get_type() ),
        esc_html( $product->add_to_cart_text() )
    ),
$product);

}
endif;

/*-----------------------------------------------------------------------------------*/
# ADMANIA REMOVE ADD TO CART BUTTON ON PRODUCT ARCHIVE (SHOP) */
/*-----------------------------------------------------------------------------------*/	

add_action('woocommerce_shop_loop_item_title', 'admania_add_star_rating');
if ( ! function_exists( 'admania_add_star_rating' ) ) :
function admania_add_star_rating()
{
global $woocommerce, $product;
$admania_average = $product->get_average_rating();

echo '<div class="star-rating"><span style="width:'.( ( $admania_average / 5 ) * 100 ) . '%"><strong itemprop="ratingValue" class="rating">'.esc_attr($admania_average).'</strong> '.__( 'out of 5', 'ad-mania' ).'</span></div>';
}
endif;
endif;



/*-----------------------------------------------------------------------------------*/
# Adds admania walker navmenu
/*-----------------------------------------------------------------------------------*/


if(!class_exists('admania_walker_nav_menu')): 

class admania_walker_nav_menu extends Walker_Nav_Menu {
function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0) {
        
		global $wp_query,$post;

        $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
        $class_names = $value = '';
		
		$post_meta_array = get_post_meta($item->ID);				
		$is_mzmegamu = !empty($post_meta_array['_menu_item_megamenu'][0]) ? $post_meta_array['_menu_item_megamenu'][0]:'';
		$is_admania_mgmu = ($is_mzmegamu != '') ? true : false;
		
	
		
		if ( $is_admania_mgmu != '') {
			
			$is_mzmgmu = "menu-item-has-children admania-megamenuhas_childitems";
			
		}
		
		else {
			
			$is_mzmgmu = "";
		}

        $classes = empty( $item->classes ) ? array() : (array) $item->classes;

        $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
        $class_names = ' class="'. esc_attr( $class_names ) . ' '.esc_attr($is_mzmgmu).'"';

        $output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names . '>';
        $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
        $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
        $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
        $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
        $attributes .= ' class= "main-link"';


        $prepend = '';
        $append = '';
        $description  = '';

        $item_output = $args->before;
        $item_output .= '<a '. $attributes .'>';
        $item_output .= $args->link_before .$prepend.apply_filters( 'the_title', $item->title, $item->ID ).$append;
        $item_output .= $description.$args->link_after;
        $item_output .= '</a>';
		
			

        if ( ($is_admania_mgmu != '') ) {
            ob_start(); 
		
        $admania_megamnquery = new WP_Query( array( 'category_name' => $item->title, 'posts_per_page' => get_option('posts_per_page') ) );
		if ( $admania_megamnquery->have_posts() ) {			
			
			?>
            <ul class="admania-megamenu sub-menu admania-mgmowl">		
			 <?php  
			       
				    while ( $admania_megamnquery->have_posts() ) {
					$admania_megamnquery->the_post();
					$admania_mgmnimgid = get_post_thumbnail_id();
					$admania_mgmnwidthimg = '262';
					$admania_mgmnheightimg = '157';
					$admania_mgmnimgurl = wp_get_attachment_url( $admania_mgmnimgid,'full'); //get img URL
					$admania_mgmnimg = admania_autoresize( $admania_mgmnimgurl, $admania_mgmnwidthimg, $admania_mgmnheightimg, true ); //resize & crop img
					$admania_ytdimg = get_post_meta($post->ID, '_featured_videourl', true); 
					$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  
					$admania_vimeomatchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";
					$admania_souncloudmatchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";
					$admania_framename = "iframe";		
			    ?>
				<li class="admania_mgmnitem">
				<?php
				if($admania_ytdimg != "" || $admania_mgmnimg != "" ):
			    ?>
				<div class="admania_mgmnitemlist">
				<?php
		
				if($admania_ytdimg !== "") {
				
				if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
				
				$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admaniatb1_widthimg)."\" height=\"292\" src=\"//www.youtube.com/embed/$1\" allohdrullscreen></iframe>",$admania_ytdimg);
				
				echo wp_kses_stripslashes($admania_yuvid);
					?>
				 <h3 class="admania-megamenucattit"><a href="<?php the_permalink(); ?>" class="admania-catsubtit" rel="bookmark"><?php the_title(); ?></a></h3>

				<?php
				}
				
				elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
				
				$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admaniatb1_widthimg)."\" height=\"292\" src=\"//player.vimeo.com/video/$3\" allohdrullscreen></iframe>",$admania_ytdimg);
				
				echo wp_kses_stripslashes($admania_vimeovideos);
					?>
				 <h3 class="admania-megamenucattit"><a href="<?php the_permalink(); ?>" class="admania-catsubtit" rel="bookmark"><?php the_title(); ?></a></h3>

				<?php
				}
				
				elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
				
				$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admaniatb1_widthimg).'" height="292" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
				
				echo wp_kses_stripslashes($admania_souncloudsng);
				
				?>
				 <h3 class="admania-megamenucattit"><a href="<?php the_permalink(); ?>" class="admania-catsubtit" rel="bookmark"><?php the_title(); ?></a></h3>

				<?php
				
				}
				
				} 		
				
				elseif($admania_mgmnimg != "" && $admania_ytdimg == "" ) { 
				?>				
				<a href="<?php the_permalink(); ?>" class="admania_mgmnthumb" rel="bookmark">
					  <img src="<?php echo esc_url($admania_mgmnimg); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_attr(the_title());  ?>" />
					  </a>
					  <h5 class="admania-megamenucattit"><a href="<?php the_permalink(); ?>" class="admania-catsubtit" rel="bookmark"><?php the_title(); ?></a></h5>
					  <?php 
				} 
                ?>
				</div>
				<?php
				
				 else:
				 ?>
				 <div class="admania_mgmnitemlist">
					<h5 class="admania-megamenucattit"><a href="<?php the_permalink(); ?>" class="admania-catsubtit" rel="bookmark"><?php the_title(); ?></a></h5>
				 </div>
				 <?php				 
				endif;
				?>
				<?php if(get_theme_mod('admania_ebylfp') !== 1): ?>	
				<div class="admania-entrysmeta  admania-entrymeta admania_mgmnmeta">
				<?php if(get_theme_mod('admania_ppostedby') !== 1): ?>
				<span class="admania-entrysbyline">
				<?php echo get_avatar( get_the_author_meta( 'user_email' ), 20 ); ?>
				<?php esc_html_e('By','ad-mania'); ?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"> <?php echo get_the_author(); ?> </a> 
				</span>-
				<?php endif; if(get_theme_mod('admania_ppostedon') !== 1): ?>
				<span class="admania-entrysbyline">
				<i class="fa fa-calendar"></i><span class="admania_viewtxt admania-sviewtxt"><?php esc_html_e('On','ad-mania'); ?></span><?php the_time(get_option( 'date_format')); ?> 
				</span>
				<?php endif; ?>
				</div>	
				<?php endif; ?>
				</li>
				<?php
				}				
				wp_reset_postdata(); ?>				
				</ul> 
				<?php					
				}
				else {
				?>
				<ul class="admania-megamenu sub-menu">
				<p><?php esc_html_e('sorry no posts matched your criteria','ad-mania'); ?></p>
				</ul>
				<?php	
				}
				$item_output .= ob_get_contents();
				ob_end_clean();				
		
		}	
        $item_output .= $args->after;
        $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
    }
}

endif;


/*-----------------------------------------------------------------------------------*/
# Adds admania walker navmenu custom fields
/*-----------------------------------------------------------------------------------*/
  
if(!class_exists('Admania_Nav_Menu_Item_Custom_Fields')): 
 
class Admania_Nav_Menu_Item_Custom_Fields {
 
	static $options = array(
			'item' => '
				<div class="additional-menu-field-{name} {container_class} admania_mgmnbkstgs">			
					<label for="edit-menu-item-{name}-{id}">{label}</label>
					<div class="megamenu">
						<select name="{name}" id="select-mega-menu-{id}">
							<option value="">Hide</option>
							<option value="{admania_mega1}">Show</option>							
						</select>
						<input type="{input_type}" id="edit-menu-item-{name}-{id}" class="widefat code edit-menu-item-{name}" name="menu-item-{name}[{id}]" value="{value}">
					</div>                   
				</div>
			',
				
		);
 
	static function setup() {
		self::$options['fields'] = array(
			'megamenu' => array(
				'name'            => 'megamenu',
				'label'           => esc_html__('Select Mega Menu To Show', 'ad-mania'),
				'container_class' => 'menu-megamenu',
				'input_type'      => 'hidden',
			),
						
		);	
	
		add_filter( 'wp_edit_nav_menu_walker', function () {
			return 'Admania_Walker_Nav_Menu_Edit';
		});
		add_filter( 'admania_nav_menu_item_additional_fields', array( __CLASS__, 'admania_megamn_addfields' ), 10, 5 );
		add_action( 'save_post', array( __CLASS__, 'admania_meagmenu_savepost' ) );
	}
 
	static function get_fields_schema() {
		$schema = array();
		foreach(self::$options['fields'] as $name => $field) {
			if (empty($field['name'])) {
				$field['name'] = $name;
			}
			$schema[] = $field;
		}
		return $schema;
	}
 
	static function get_menu_item_postmeta_key($name) {
		return '_menu_item_' . $name;
	}
 
	/**
	 * Inject the
	 * @hook {action} save_post
*/
	static function admania_megamn_addfields($new_fields, $item_output, $item, $depth, $args) {
		$schema = self::get_fields_schema($item->ID);
		foreach($schema as $field) {
			$field['value'] = get_post_meta($item->ID, self::get_menu_item_postmeta_key($field['name']), true);
			$field['id'] = $item->ID;
			//Tried to implement selected() here but was unsuccesfull, so I just left it like this, the mega fields aren't necessary, you can add them by hand
			$field['admania_mega1'] = 'admania_mega1';           		
			$new_fields .= str_replace(
				array_map(function($key){ return '{' . $key . '}'; }, array_keys($field)),
				array_values(array_map('esc_attr', $field)),
				self::$options['item']
			);
		}
		return $new_fields;
	}
	/**
	 * Save the newly submitted fields
	 * @hook {action} save_post
	*/
	static function admania_meagmenu_savepost($post_id) {
		if (get_post_type($post_id) !== 'nav_menu_item') {
			return;
		}
		$fields_schema = self::get_fields_schema($post_id);
		foreach($fields_schema as $field_schema) {
			$form_field_name = 'menu-item-' . $field_schema['name'];
			if (isset($_POST[$form_field_name][$post_id])) {
				$key = self::get_menu_item_postmeta_key($field_schema['name']);
				$value = stripslashes($_POST[$form_field_name][$post_id]);
				update_post_meta($post_id, $key, $value);
			}
		}
	}
}
  
endif;

add_action( 'init', array( 'Admania_Nav_Menu_Item_Custom_Fields', 'setup' ) );

/*-----------------------------------------------------------------------------------*/
# Adds admania walker navmenu custom fields edit
/*-----------------------------------------------------------------------------------*/

require_once ABSPATH . 'wp-admin/includes/nav-menu.php';

if(!class_exists('Admania_Walker_Nav_Menu_Edit')): 

class Admania_Walker_Nav_Menu_Edit extends Walker_Nav_Menu_Edit {
	function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0) {
		$item_output = '';
		parent::start_el($item_output, $item, $depth, $args, $id);
		$new_fields = apply_filters( 'admania_nav_menu_item_additional_fields', '', $item_output, $item, $depth, $args );
		// Inject $new_fields before: <div class="menu-item-actions description-wide submitbox">
		if ($new_fields) {
			$item_output = preg_replace('/(?=<div[^>]+class="[^"]*submitbox)/', $new_fields, $item_output);
		}
		$output .= $item_output;
	}
}

endif;




/*-----------------------------------------------------------------------------------*/



# admania AMP support



/*-----------------------------------------------------------------------------------*/



if(get_theme_mod('admania_enamplayout') != 1){


define( 'AMP_QUERY_VAR', apply_filters( 'amp_query_var', 'amp' ) );


add_rewrite_endpoint( AMP_QUERY_VAR, EP_PERMALINK | EP_PAGES | EP_ALL_ARCHIVES | EP_AUTHORS | EP_ROOT );


add_filter( 'template_include', 'admania_amp_page_template', 99 );


if( ! function_exists('admania_amp_page_template')):


function admania_amp_page_template( $admania_amptemplate ) {


	global $wp;


	$admania_amp_siteurl = home_url(add_query_arg( array(), $wp->request));

	if(strpos($admania_amp_siteurl,'/amp') != ''){

	   $admania_amp_siteurlsrc = $admania_amp_siteurl;

	}

	else {

		$admania_amp_siteurlsrc = $admania_amp_siteurl.'/amp';

	}

  
	if( get_query_var( AMP_QUERY_VAR, true ) != '' ) {


        if(is_home()) {



		if(  $admania_amp_siteurl == $admania_amp_siteurlsrc ) {

			$admania_amptemplate = get_template_directory() .  '/amp-templates/amp-admania-index.php';

		}

		}

        if(is_single()) {

		if ( $admania_amp_siteurl == $admania_amp_siteurlsrc ) {

			$admania_amptemplate = get_template_directory() .  '/amp-templates/amp-admania-single.php';

		}

		}


		if(is_page()) {


		   if ( $admania_amp_siteurl == $admania_amp_siteurlsrc ) {


			$admania_amptemplate = get_template_directory() .  '/amp-templates/amp-admania-page.php';



		  }



		}
			
		if(is_archive()) {

		  if ( $admania_amp_siteurl == $admania_amp_siteurlsrc ) {


			$admania_amptemplate = get_template_directory() .  '/amp-templates/amp-admania-archive.php';

		  }


		}

		if(is_search()) {

		  if ( $admania_amp_siteurl == $admania_amp_siteurlsrc ) {

			$admania_amptemplate = get_template_directory() .  '/amp-templates/amp-admania-search.php';

		  }

		}

	}


	return $admania_amptemplate;


}

endif;


if( ! function_exists('amp_admania_sitetitle')) {

	function amp_admania_sitetitle() {

		$amp_admania_tittext = 'title';

		?>

		<<?php echo esc_attr($amp_admania_tittext); ?>><?php echo wp_get_document_title(); ?></<?php echo esc_attr($amp_admania_tittext); ?>>

		<?php		

	}

}


if( ! function_exists('amp_admania_header')) {

	function amp_admania_header() {

	?>

	<!DOCTYPE html>

	<html amp <?php language_attributes(); ?>>

	<head>

	<meta charset="utf-8">	

	<script async src="https://cdn.ampproject.org/v0.js"></script>	

	<?php amp_admania_sitetitle(); ?>

	<link rel="dns-prefetch" href="https://cdn.ampproject.org">

	<link rel="canonical" href="<?php echo wp_get_canonical_url(); ?>">	

	<meta name="viewport" content="width=device-width,minimum-scale=1,initial-scale=1">

	<?php $admania_amplogourl = admania_autoresize( get_theme_mod('admania_mbcustom_logo'), 118, 30, true ); ?>

	<?php if(has_nav_menu('admania-primary-menu')): ?>

	<script async custom-element="amp-sidebar" src="https://cdn.ampproject.org/v0/amp-sidebar-0.1.js"></script>	    

	<script async custom-element="amp-accordion" src="https://cdn.ampproject.org/v0/amp-accordion-0.1.js"></script>

	<?php endif; ?>

	<?php if(get_theme_mod('mb_slideractive') != ''): ?>
	
	<script async custom-element="amp-carousel" src="https://cdn.ampproject.org/v0/amp-carousel-0.1.js"></script>

	<?php endif; ?>   

	<script async custom-element="amp-youtube" src="https://cdn.ampproject.org/v0/amp-youtube-0.1.js"></script>

	<script async custom-element="amp-vimeo" src="https://cdn.ampproject.org/v0/amp-vimeo-0.1.js"></script>						

	<script async custom-element="amp-soundcloud" src="https://cdn.ampproject.org/v0/amp-soundcloud-0.1.js"></script>

	<?php

	if(is_single()){

	if(get_theme_mod('admania_active_postsocialshare') != '') {	
	
	?>

	<script async custom-element="amp-social-share" src="https://cdn.ampproject.org/v0/amp-social-share-0.1.js"></script>

	<?php }} ?>	

	<?php echo wp_site_icon(); ?>

	<script type="application/ld+json">      


	  {



		"@context": "http://schema.org",



		"@type": "organization",



		"@id": "#organization",



		"logo": {



			"@type": "ImageObject",



			"url": "<?php echo esc_url($admania_amplogourl); ?>"



		},



		"url": "<?php echo home_url('url'); ?>",



		"name": "<?php echo get_bloginfo('name'); ?>",



		"description": "<?php echo get_bloginfo('description'); ?>"



	 }



    </script>



	<script type="application/ld+json">



	{



    "@context": "http://schema.org",



    "@type": "WebSite",



    "name": "<?php echo get_bloginfo('name'); ?>",



    "alternateName": "<?php echo get_bloginfo('description'); ?>",



    "url": "<?php echo home_url('url'); ?>",



    "potentialAction": {



        "@type": "SearchAction",



        "target": "<?php echo home_url('url'); ?>/?s={search_term_string}",



        "query-input": "required name=search_term"



    }



    }



	</script>



	<style amp-boilerplate>body{-webkit-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-moz-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-ms-animation:-amp-start 8s steps(1,end) 0s 1 normal both;animation:-amp-start 8s steps(1,end) 0s 1 normal both}@-webkit-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-moz-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-ms-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-o-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}</style><noscript><style amp-boilerplate>body{-webkit-animation:none;-moz-animation:none;-ms-animation:none;animation:none}</style></noscript>



	<style amp-custom>body {font-size: 14px;line-height: 25px;}.admania_amp_entrycontent amp-img{margin:30px 0px;}.admania-mbaflistpstad {text-align:center;margin:0 0 25px;}admania-mbbffooterad {display:none;}body,h1,h2,h3,h4,h5,h6,p {font-family: "Roboto",sans-serif;color:#222;}blockquote {font-style: italic;overflow: hidden;font-weight: normal;padding: 34px 50px 22px;position: relative;text-align: center;margin: 0 0 20px 0;font-size: 18px;line-height: 1.6;font-family: serif;}.admania-adeditablead1 {display:none;}h4 {font-size: 15px;}h5 {font-size: 14px;}h6 {font-size: 13px;}blockquote:before,blockquote:after,q:before,q:after {content: "";}.admania-mbafsldad {text-align:center;}blockquote:before,blockquote:after {font-family: FontAwesome;font-style: normal;font-weight: normal;content: "\f10d";position: absolute;left: 21px;font-size: 19px;top: 11px;}blockquote:after {content: "\f10e";right: 21px;left: auto;bottom: 21px;top: auto;}blockquote, q {quotes: "" "";}pre,code{background-color: #f3f3f3;background-image: -webkit-gradient(linear, 50% 0, 50% 100%, color-stop(50%, #f3f3f3), color-stop(50%, #ededed));background-image: -webkit-linear-gradient(#f3f3f3 50%, #ededed 50%);background-image: -webkit-gradient(linear, left top, left bottom, color-stop(50%, #f3f3f3), color-stop(50%, #ededed));background-image: -webkit-linear-gradient(#f3f3f3 50%, #ededed 50%);background-image: linear-gradient(#f3f3f3 50%, #ededed 50%);-webkit-background-size: 38px 38px;background-size: 38px 38px;border: 1px solid #e3e3e3;display: block;line-height: 18px;overflow: visible;overflow-y: hidden;padding: 18px;tab-size: 4;-o-tab-size: 4;-moz-tab-size: 4;}code {background-color: #ececec;padding: 3px 6px;margin: 23px 0 0;}pre,code,kbd,var,samp,tt {font-family: "Courier 10 Pitch", Courier, monospace;font-size: 14px;line-height: 19px;white-space: pre-wrap;}th,td{border: 1px solid #EAEAEA;padding: 6px 10px;}caption, th, td {text-align: left;}th {font-weight: bold;}.admania_amp_headleft,.admania_amp_single_entry .admania_amp_byline amp-img{float:left;-webkit-border-radius:100px;-moz-border-radius:100px;-ms-border-radius:100px;-o-border-radius:100px;border-radius:100px;}body{font-size:14px;line-height:25px}.admania_amp_after_slider_ad{margin:20px 0 0;}body,h1,h2,h3,h4,h5,h6,p{font-family:Roboto,sans-serif;color:#222}blockquote{font-style:italic;overflow:hidden;font-weight:400;padding:34px 50px 22px;position:relative;text-align:center;margin:0 0 20px;font-size:18px;line-height:1.6;font-family:serif}h4{font-size:15px}h5{font-size:14px}h6{font-size:13px}blockquote:after,blockquote:before,q:after,q:before{content:""}blockquote:after,blockquote:before{font-family:FontAwesome;font-style:normal;font-weight:400;content:"\f10d";position:absolute;left:21px;font-size:19px;top:11px}blockquote:after{content:"\f10e";right:21px;left:auto;bottom:21px;top:auto}blockquote,q{quotes:"" ""}code,pre{background-color:#f3f3f3;background-image:-webkit-gradient(linear,left top,left bottom,color-stop(50%,#f3f3f3),color-stop(50%,#ededed));background-image:-webkit-linear-gradient(#f3f3f3 50%,#ededed 50%);background-image:linear-gradient(#f3f3f3 50%,#ededed 50%);-webkit-background-size:38px 38px;background-size:38px 38px;border:1px solid #e3e3e3;display:block;line-height:18px;overflow:visible;overflow-y:hidden;padding:18px;tab-size:4;-o-tab-size:4;-moz-tab-size:4}.fa,.admania_amp_entrytxtline,.admania_amp_singleshare ul li,.admania_amp_tag a{display:inline-block}code{background-color:#ececec;padding:3px 6px;margin:23px 0 0}code,kbd,pre,samp,tt,var{font-family:"Courier 10 Pitch",Courier,monospace;font-size:14px;line-height:19px;white-space:pre-wrap}td,th{border:1px solid #EAEAEA;padding:6px 10px}caption,td,th{text-align:left}th{font-weight:700}@font-face{font-family:FontAwesome;src:url('<?php echo get_stylesheet_directory_uri(); ?>/fonts/awesomeicons/fontawesome-webfont.eot?v=4.7.0');src:url('<?php echo get_stylesheet_directory_uri(); ?>/fonts/awesomeicons/fontawesome-webfont.eot?#iefix&v=4.7.0') format('embedded-opentype'),url('<?php echo get_stylesheet_directory_uri(); ?>/fonts/awesomeicons/fontawesome-webfont.woff2?v=4.7.0') format('woff2'),url('<?php echo get_stylesheet_directory_uri(); ?>/fonts/awesomeicons/fontawesome-webfont.woff?v=4.7.0') format('woff'),url('<?php echo get_stylesheet_directory_uri(); ?>/fonts/awesomeicons/fontawesome-webfont.ttf?v=4.7.0') format('truetype'),url('<?php echo get_stylesheet_directory_uri(); ?>/fonts/awesomeicons/fontawesome-webfont.svg?v=4.7.0#fontawesomeregular') format('svg');font-weight:400;font-style:normal}.fa{font:normal normal normal 14px/1 FontAwesome;font-size:inherit;text-rendering:auto;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.fa-share-alt:before{content:"\f1e0"}.fa-tags:before{content:"\f02b"}.admania_amp_header{-webkit-box-shadow:0 0 40px 0 rgba(0,0,0,.1);-moz-box-shadow:0 0 40px 0 rgba(0,0,0,.1);-ms-box-shadow:0 0 40px 0 rgba(0,0,0,.1);-o-box-shadow:0 0 40px 0 rgba(0,0,0,.1);box-shadow:0 0 40px 0 rgba(0,0,0,.1);padding:1em;overflow:hidden;background-color:#fff;}.admania_amp_sliderwotimg .admania_amp_slideheader{position:static}iframe,img{max-width:100%}.admania_amp_singleshare{margin:20px 0 0}.admania_amp_singleshare ul li{margin:0 0 10px 6px}.admania_amp_entrycontent .admania_amp_singleshare ul{overflow:hidden;display:inline-block;margin:0;padding-left:0;vertical-align:top}.admania_amp_menu h6 span:after{position:absolute;right:38px;top:0;font-family:FontAwesome;font-size:21px;line-height:39px;content:"\f107";color:#363636;-webkit-transition:all .4s ease;-moz-transition:all .4s ease;-o-transition:all .4s ease;transition:all .4s ease;width:40px;text-align:center}.admania_amp_menu section[expanded]>h6 span:after{-webkit-transform:rotate(180deg);-o-transform:rotate(180deg);-moz-transform:rotate(180deg);tranform:rotate(180deg);top:4px}.admania_amp_singleftimage{margin:0 0 30px}.admania_amp_entrytext a{color:#b7b7b7;text-decoration:none}.admania_amp_entrycontent ol,.admania_amp_entrycontent ul{margin-bottom:17px;padding-left:20px}.admania_amp_tag{margin:20px 0 0}.admania_amp_archivedesp p{margin:0;font-size:13px;line-height:1.5}.admania_amp_archivetitle{text-transform:uppercase;margin:20px 0 9px;line-height:1.4}.admania_amp_archives{padding:0 0 25px}.amp_admania_singlemaincontent{padding:1em}.amp_admania_singleinnercontent{padding:25px;background-color:#fff;-webkit-box-shadow:0 17px 50px rgba(0,0,0,.1);-moz-box-shadow:0 17px 50px rgba(0,0,0,.1);-ms-box-shadow:0 17px 50px rgba(0,0,0,.1);-o-box-shadow:0 17px 50px rgba(0,0,0,.1);box-shadow:0 17px 50px rgba(0,0,0,.1)}.admania_amp_tag .fa-tags{padding:6px 12px;margin:0 10px 0 0;font-size:11px;background-color:#222;color:#fff;-webkit-border-radius:50px;-moz-border-radius:50px;-ms-border-radius:50px;-o-border-radius:50px;border-radius:50px}.admania_amp_tag a{text-decoration:none;padding:6px 10px;color:#222;-webkit-border-radius:50px;-moz-border-radius:50px;-ms-border-radius:50px;-o-border-radius:50px;border-radius:50px;margin:0 1px 10px 5px;font-size:12px;line-height:1;border:1px solid #ddd}.admania_amp_single_entry h1{margin:0}.admania_amp_single_entry .admania_amp_entrybyline{overflow:hidden;padding:0 0 21px}.admania_amp_slideheader{position:absolute;padding:1em 1.5em;right:auto;left:auto;text-align:left;width:100%;bottom:0;background-color:#2222228a}.admania_amp_slideheader h2{line-height:22px;font-weight:700;font-size:21px;margin:0 0 10px}.admania_amp_slideheader p{color:rgba(255,255,255,.5);font-size:12px;margin:0}.admania_amp_slideitem{position:relative;background-color:#111}.admania_amp_menu{padding:2em}.admania_amp_header a,.admania_amp_menulogo a,.admania_amp_slideheader h2 a{text-decoration:none;color:#fff}.admania_amp_logotext{color:#222;}.admania_amp_menu h6{background-color:transparent;padding-right:0;border:0 solid #dfdfdf}.admania_amp_header h1{margin:0;text-transform:uppercase;font-size:23px;line-height:1}.admania_amp_headright{float:right;position:relative}.admania_amp_menushow{padding:0;border:0;position:absolute;width:33px;height:24px;top:0;background-color:transparent;right:4px;cursor:pointer;z-index:999}.admania_amp_sidebar{background-color:#fff;position:relative;width:350px}.admania_amp_menushow:after,.admania_amp_menushow:before,.admania_amp_mnclbar:after,.admania_amp_mnclbar:before{content:'';position:absolute;width:31px;left:0;height:1px;background-color:#222;}.admania_amp_menushow:before{top:3px}.admania_amp_mnclbar:before{-moz-transform:rotate(45deg);-ms-transform:rotate(45deg);-o-transform:rotate(45deg);-webkit-transform:rotate(45deg);transform:rotate(45deg);top:14px}.admania_amp_mnclbar:after{-moz-transform:rotate(-45deg);-ms-transform:rotate(-45deg);-o-transform:rotate(-45deg);-webkit-transform:rotate(-45deg);transform:rotate(-45deg);top:14px}.admania_amp_entrybyline amp-img{width:20px;height:20px}.admania_amp_menushow:after{bottom:4px}.admania_amp_mnbar{position:absolute;width:20px;top:11px;right:0;height:1px;background-color:#222;-webkit-transition:all .25s;-moz-transition:all .25s;-o-transition:all .25s;-ms-transition:all .25s;transition:all .25s}.admania_amp_mnclrmbdr{position:absolute;width:30px;cursor:pointer;padding:15px;z-index:99999;border:0;background-color:transparent}.admania_amp_mnclbar{width:33px;height:24px;cursor:pointer;position:absolute;top:21px;right:75px}.admania_amp_menushow:hover>.admania_amp_mnbar{width:31px}.admania_amp_menulogo h1{margin:0 0 10px;text-transform:uppercase;font-size:25px;line-height:1}.admania-mbbffooterad{display:none;}.admania_amp_menulogo{padding:3em 2em;background-color:#f5f5f5;text-align:center}.admania_amp_menu span{display:block;padding:12px 25px;-webkit-transition:all ease-in-out .22s;-moz-transition:all ease-in-out .22s;-o-transition:all ease-in-out .22s;-ms-transition:all ease-in-out .22s;transition:all ease-in-out .22s}.admania_amp_menu section[expanded]{padding-left:10px}.admania_amp_menu h6,.admania_amp_menu section{-webkit-transition:all .3s ease;-moz-transition:all .3s ease;-ms-transition:all .3s ease;-o-transition:all .3s ease;transition:all .3s ease}.admania_amp_menu span a{text-decoration:none;color:#111}.admania_amp_menu h6{font-size:15px;line-height:1.4;font-weight:400}.admania_amp_menu h6:focus{outline:0;border:0 solid #eee;-webkit-box-shadow:0 #eee;-moz-box-shadow:0 #eee;-ms-box-shadow:0 #eee;-o-box-shadow:0 #eee;box-shadow:0 #eee}.admania_amp_menu section[expanded],.admania_amp_menu span:hover{background-color:#f4fcfe}.admania_amp_logofnt{font-size:25px;text-transform:uppercase;line-height:1;font-weight:700;display:block}.admania-gutenberg-postclass .admania_amp_entrycontent blockquote:before,.admania-gutenberg-postclass .admania_amp_entrycontent blockquote:after {display:none;}.admania_amp_sidebar .admania_amp_logofnt{margin:0 0 15px}.amp_admania-maincontent{background-color:#f5f5f6}.admania-gutenberg-postclass .admania_amp_entrycontent .wp-block-quote{margin: 0 0 35px;border-top: 0px solid #eee;border-bottom: 0px solid #eee;border-left: 6px solid #47a7d7;}.wp-block-gallery .blocks-gallery-image, .wp-block-gallery .blocks-gallery-item {width: calc(100% / 2 - 16px);}.admania_amp_blogpost amp-img,.admania_amp_blogpost amp-soundcloud,.admania_amp_blogpost amp-vimeo,.admania_amp_blogpost amp-youtube,.admania_amp_relatedposts amp-img,.admania_amp_relatedposts amp-soundcloud,.admania_amp_relatedposts amp-vimeo,.admania_amp_relatedposts amp-youtube{float:left;width:100px;margin:0 25px 0 0;height:100px}.admania_amp_blogpost,.admania_amp_nopost{overflow:hidden;padding:25px;background-color:#fff;margin:0 0 25px}.admania_amp_nopost{margin:15px 0}.admania_amp_blogpost h2 a{text-decoration:none;color:#111}@keyframes fade-in{0%{opacity:0}to{opacity:1}}@keyframes editor_region_focus{0%{box-shadow:inset 0 0 0 0 #33b3db}to{box-shadow:inset 0 0 0 4px #33b3db}}@keyframes rotation{0%{transform:rotate(0deg)}to{transform:rotate(1turn)}}.wp-block-audio figcaption{margin-top:.5em;color:#6c7781;text-align:center;font-size:13px}.editor-block-list__layout .reusable-block-edit-panel{align-items:center;background:#f8f9f9;color:#555d66;display:flex;flex-wrap:wrap;font-family:-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Oxygen-Sans,Ubuntu,Cantarell,Helvetica Neue,sans-serif;font-size:13px;position:relative;top:-14px;margin:0 -28px -14px;padding:8px 28px}.editor-block-list__layout .editor-block-list__layout .reusable-block-edit-panel{margin:0 -14px;padding:8px 14px}.editor-block-list__layout .reusable-block-edit-panel .reusable-block-edit-panel__spinner{margin:0 5px}.editor-block-list__layout .reusable-block-edit-panel .reusable-block-edit-panel__info{margin-right:auto}.editor-block-list__layout .reusable-block-edit-panel .reusable-block-edit-panel__label{margin-right:10px;white-space:nowrap;font-weight:600}.editor-block-list__layout .reusable-block-edit-panel .reusable-block-edit-panel__title{flex:1 1 100%;font-size:14px;height:30px;margin:5px 0 10px}.editor-block-list__layout .reusable-block-edit-panel .components-button.reusable-block-edit-panel__button{margin:0 5px 0 0}@media (min-width:960px){.editor-block-list__layout .reusable-block-edit-panel{flex-wrap:nowrap}.editor-block-list__layout .reusable-block-edit-panel .reusable-block-edit-panel__title{margin:0}.editor-block-list__layout .reusable-block-edit-panel .components-button.reusable-block-edit-panel__button{margin:0 0 0 5px}}.editor-block-list__layout .reusable-block-indicator{background:#fff;border-left:1px dashed #e2e4e7;color:#555d66;border-bottom:1px dashed #e2e4e7;top:-14px;height:30px;padding:4px;position:absolute;width:30px;right:-28px}.editor-block-list__layout .editor-block-list__layout .reusable-block-indicator{right:-14px}.wp-block-button{margin-bottom:1.5em}.wp-block-button .wp-block-button__link{border:none;border-radius:23px;box-shadow:none;cursor:pointer;display:inline-block;font-size:18px;line-height:24px;margin:0;padding:11px 24px;text-align:center;text-decoration:none;white-space:normal;word-break:break-all}.wp-block-button.is-style-squared .wp-block-button__link{border-radius:0}.wp-block-button.aligncenter{text-align:center}.wp-block-button.alignright{text-align:right}.wp-block-button__link:not(.has-background),.wp-block-button__link:not(.has-background):active,.wp-block-button__link:not(.has-background):focus,.wp-block-button__link:not(.has-background):hover{background-color:#32373c}.wp-block-button.is-style-outline .wp-block-button__link{background:transparent;border:2px solid transparent}.wp-block-button.is-style-outline .wp-block-button__link.has-pale-pink-background-color{border-color:#f78da7}.wp-block-button.is-style-outline .wp-block-button__link.has-vivid-red-background-color{border-color:#cf2e2e}.wp-block-button.is-style-outline .wp-block-button__link.has-luminous-vivid-orange-background-color{border-color:#ff6900}.wp-block-button.is-style-outline .wp-block-button__link.has-luminous-vivid-amber-background-color{border-color:#fcb900}.wp-block-button.is-style-outline .wp-block-button__link.has-light-green-cyan-background-color{border-color:#7bdcb5}.wp-block-button.is-style-outline .wp-block-button__link.has-vivid-green-cyan-background-color{border-color:#00d084}.wp-block-button.is-style-outline .wp-block-button__link.has-pale-cyan-blue-background-color{border-color:#8ed1fc}.wp-block-button.is-style-outline .wp-block-button__link.has-vivid-cyan-blue-background-color{border-color:#0693e3}.wp-block-button.is-style-outline .wp-block-button__link.has-very-light-gray-background-color{border-color:#eee}.wp-block-button.is-style-outline .wp-block-button__link.has-cyan-bluish-gray-background-color{border-color:#abb8c3}.wp-block-button.is-style-outline .wp-block-button__link.has-very-dark-gray-background-color{border-color:#313131}.wp-block-button.is-style-outline .wp-block-button__link:not(.has-background),.wp-block-button.is-style-outline .wp-block-button__link:not(.has-background):active,.wp-block-button.is-style-outline .wp-block-button__link:not(.has-background):focus,.wp-block-button.is-style-outline .wp-block-button__link:not(.has-background):hover{border-color:#32373c}.wp-block-button.is-style-outline .wp-block-button__link:not(.has-text-color),.wp-block-button.is-style-outline .wp-block-button__link:not(.has-text-color):active,.wp-block-button.is-style-outline .wp-block-button__link:not(.has-text-color):focus,.wp-block-button.is-style-outline .wp-block-button__link:not(.has-text-color):hover{color:#32373c}.wp-block-button__link:not(.has-text-color),.wp-block-button__link:not(.has-text-color):active,.wp-block-button__link:not(.has-text-color):focus,.wp-block-button__link:not(.has-text-color):hover{color:#fff}.wp-block-categories.alignleft{margin-right:2em}.wp-block-categories.alignright{margin-left:2em}.wp-block-columns{display:flex}.wp-block-column{flex:1}.wp-block-cover-image{position:relative;background-size:cover;background-position:50%;min-height:430px;width:100%;margin:0 0 1.5em;display:flex;justify-content:center;align-items:center}.wp-block-cover-image.has-left-content{justify-content:flex-start}.wp-block-cover-image.has-left-content .wp-block-cover-image-text,.wp-block-cover-image.has-left-content h2{margin-left:0;text-align:left}.wp-block-cover-image.has-right-content{justify-content:flex-end}.wp-block-cover-image.has-right-content .wp-block-cover-image-text,.wp-block-cover-image.has-right-content h2{margin-right:0;text-align:right}.wp-block-cover-image .wp-block-cover-image-text,.wp-block-cover-image h2{color:#fff;font-size:2em;line-height:1.25;z-index:1;margin-bottom:0;max-width:610px;padding:14px;text-align:center}.wp-block-cover-image .wp-block-cover-image-text a,.wp-block-cover-image .wp-block-cover-image-text a:active,.wp-block-cover-image .wp-block-cover-image-text a:focus,.wp-block-cover-image .wp-block-cover-image-text a:hover,.wp-block-cover-image h2 a,.wp-block-cover-image h2 a:active,.wp-block-cover-image h2 a:focus,.wp-block-cover-image h2 a:hover{color:#fff}.wp-block-cover-image.has-parallax{background-attachment:fixed}.wp-block-cover-image.has-background-dim:before{content:"";position:absolute;top:0;left:0;bottom:0;right:0;background-color:rgba(0,0,0,.5)}.wp-block-cover-image.has-background-dim.has-background-dim-10:before{background-color:rgba(0,0,0,.1)}.wp-block-cover-image.has-background-dim.has-background-dim-20:before{background-color:rgba(0,0,0,.2)}.wp-block-cover-image.has-background-dim.has-background-dim-30:before{background-color:rgba(0,0,0,.3)}.wp-block-cover-image.has-background-dim.has-background-dim-40:before{background-color:rgba(0,0,0,.4)}.wp-block-cover-image.has-background-dim.has-background-dim-50:before{background-color:rgba(0,0,0,.5)}.wp-block-cover-image.has-background-dim.has-background-dim-60:before{background-color:rgba(0,0,0,.6)}.wp-block-cover-image.has-background-dim.has-background-dim-70:before{background-color:rgba(0,0,0,.7)}.wp-block-cover-image.has-background-dim.has-background-dim-80:before{background-color:rgba(0,0,0,.8)}.wp-block-cover-image.has-background-dim.has-background-dim-90:before{background-color:rgba(0,0,0,.9)}.wp-block-cover-image.has-background-dim.has-background-dim-100:before{background-color:#000}.wp-block-cover-image.components-placeholder{height:inherit}.editor-block-list__block[data-type="core/embed"][data-align=left] .editor-block-list__block-edit,.editor-block-list__block[data-type="core/embed"][data-align=right] .editor-block-list__block-edit,.wp-block-cover-image.alignleft,.wp-block-cover-image.alignright,.wp-block-embed.alignleft,.wp-block-embed.alignright,[data-align=left] .wp-block-cover-image,[data-align=right] .wp-block-cover-image{max-width:305px;width:100%}.wp-block-embed figcaption{margin-top:.5em;margin-bottom:1em;color:#555d66;text-align:center;font-size:13px}.wp-block-embed.wp-embed-aspect-1-1 .wp-block-embed__wrapper,.wp-block-embed.wp-embed-aspect-1-2 .wp-block-embed__wrapper,.wp-block-embed.wp-embed-aspect-4-3 .wp-block-embed__wrapper,.wp-block-embed.wp-embed-aspect-9-16 .wp-block-embed__wrapper,.wp-block-embed.wp-embed-aspect-16-9 .wp-block-embed__wrapper,.wp-block-embed.wp-embed-aspect-18-9 .wp-block-embed__wrapper,.wp-block-embed.wp-embed-aspect-21-9 .wp-block-embed__wrapper{position:relative}.wp-block-embed.wp-embed-aspect-1-1 .wp-block-embed__wrapper:before,.wp-block-embed.wp-embed-aspect-1-2 .wp-block-embed__wrapper:before,.wp-block-embed.wp-embed-aspect-4-3 .wp-block-embed__wrapper:before,.wp-block-embed.wp-embed-aspect-9-16 .wp-block-embed__wrapper:before,.wp-block-embed.wp-embed-aspect-16-9 .wp-block-embed__wrapper:before,.wp-block-embed.wp-embed-aspect-18-9 .wp-block-embed__wrapper:before,.wp-block-embed.wp-embed-aspect-21-9 .wp-block-embed__wrapper:before{content:"";display:block;padding-top:50%}.wp-block-embed.wp-embed-aspect-1-1 .wp-block-embed__wrapper iframe,.wp-block-embed.wp-embed-aspect-1-2 .wp-block-embed__wrapper iframe,.wp-block-embed.wp-embed-aspect-4-3 .wp-block-embed__wrapper iframe,.wp-block-embed.wp-embed-aspect-9-16 .wp-block-embed__wrapper iframe,.wp-block-embed.wp-embed-aspect-16-9 .wp-block-embed__wrapper iframe,.wp-block-embed.wp-embed-aspect-18-9 .wp-block-embed__wrapper iframe,.wp-block-embed.wp-embed-aspect-21-9 .wp-block-embed__wrapper iframe{position:absolute;top:0;right:0;bottom:0;left:0;width:100%;height:100%}.wp-block-embed.wp-embed-aspect-21-9 .wp-block-embed__wrapper:before{padding-top:42.85%}.wp-block-embed.wp-embed-aspect-18-9 .wp-block-embed__wrapper:before{padding-top:50%}.wp-block-embed.wp-embed-aspect-16-9 .wp-block-embed__wrapper:before{padding-top:56.25%}.wp-block-embed.wp-embed-aspect-4-3 .wp-block-embed__wrapper:before{padding-top:75%}.wp-block-embed.wp-embed-aspect-1-1 .wp-block-embed__wrapper:before{padding-top:100%}.wp-block-embed.wp-embed-aspect-9-6 .wp-block-embed__wrapper:before{padding-top:66.66%}.wp-block-embed.wp-embed-aspect-1-2 .wp-block-embed__wrapper:before{padding-top:200%}.wp-block-file{margin-bottom:1.5em}.wp-block-file.aligncenter{text-align:center}.wp-block-file.alignright{text-align:right}.wp-block-file .wp-block-file__button{background:#32373c;border-radius:2em;color:#fff;font-size:13px;padding:.5em 1em}.wp-block-file a.wp-block-file__button{text-decoration:none}.wp-block-file a.wp-block-file__button:active,.wp-block-file a.wp-block-file__button:focus,.wp-block-file a.wp-block-file__button:hover,.wp-block-file a.wp-block-file__button:visited{box-shadow:none;color:#fff;opacity:.85;text-decoration:none}.wp-block-file *+.wp-block-file__button{margin-left:.75em}.wp-block-gallery{display:flex;flex-wrap:wrap;list-style-type:none;padding:0;margin:0 -8px}.wp-block-gallery .blocks-gallery-image,.wp-block-gallery .blocks-gallery-item{margin:8px;display:flex;flex-grow:1;flex-direction:column;justify-content:center;position:relative}.wp-block-gallery .blocks-gallery-image figure,.wp-block-gallery .blocks-gallery-item figure{margin:0;height:100%}@supports ((position:-webkit-sticky) or (position:sticky)){.wp-block-gallery .blocks-gallery-image figure,.wp-block-gallery .blocks-gallery-item figure{display:flex;align-items:flex-end;justify-content:flex-start}}.wp-block-gallery .blocks-gallery-image img,.wp-block-gallery .blocks-gallery-item img{display:block;max-width:100%;height:auto;width:100%}@supports ((position:-webkit-sticky) or (position:sticky)){.wp-block-gallery .blocks-gallery-image img,.wp-block-gallery .blocks-gallery-item img{width:auto}}.wp-block-gallery .blocks-gallery-image figcaption,.wp-block-gallery .blocks-gallery-item figcaption{position:absolute;bottom:0;width:100%;max-height:100%;overflow:auto;padding:40px 10px 5px;color:#fff;text-align:center;font-size:13px;background:linear-gradient(0deg,rgba(0,0,0,.7),rgba(0,0,0,.3) 60%,transparent)}.wp-block-gallery .blocks-gallery-image figcaption img,.wp-block-gallery .blocks-gallery-item figcaption img{display:inline}.wp-block-gallery.is-cropped .blocks-gallery-image a,.wp-block-gallery.is-cropped .blocks-gallery-image img,.wp-block-gallery.is-cropped .blocks-gallery-item a,.wp-block-gallery.is-cropped .blocks-gallery-item img{width:100%}@supports ((position:-webkit-sticky) or (position:sticky)){.wp-block-gallery.is-cropped .blocks-gallery-image a,.wp-block-gallery.is-cropped .blocks-gallery-image img,.wp-block-gallery.is-cropped .blocks-gallery-item a,.wp-block-gallery.is-cropped .blocks-gallery-item img{height:100%;flex:1;-o-object-fit:cover;object-fit:cover}}.wp-block-gallery .blocks-gallery-image,.wp-block-gallery .blocks-gallery-item{width:calc(100% / 2 - 16px)}.wp-block-gallery.columns-1 .blocks-gallery-image,.wp-block-gallery.columns-1 .blocks-gallery-item{width:calc(100% / 1 - 16px)}@media (min-width:600px){.wp-block-gallery.columns-3 .blocks-gallery-image,.wp-block-gallery.columns-3 .blocks-gallery-item{width:calc(100% / 3 - 16px)}.wp-block-gallery.columns-4 .blocks-gallery-image,.wp-block-gallery.columns-4 .blocks-gallery-item{width:calc(100% / 4 - 16px)}.wp-block-gallery.columns-5 .blocks-gallery-image,.wp-block-gallery.columns-5 .blocks-gallery-item{width:calc(100% / 5 - 16px)}.wp-block-gallery.columns-6 .blocks-gallery-image,.wp-block-gallery.columns-6 .blocks-gallery-item{width:calc(100% / 6 - 16px)}.wp-block-gallery.columns-7 .blocks-gallery-image,.wp-block-gallery.columns-7 .blocks-gallery-item{width:calc(100% / 7 - 16px)}.wp-block-gallery.columns-8 .blocks-gallery-image,.wp-block-gallery.columns-8 .blocks-gallery-item{width:calc(100% / 8 - 16px)}}.wp-block-gallery .blocks-gallery-item.has-add-item-button{width:100%}.wp-block-gallery.alignleft,.wp-block-gallery.alignright,[data-align=left] .wp-block-gallery,[data-align=right] .wp-block-gallery{max-width:305px;width:100%}.wp-block-image,.wp-block-image img{max-width:100%}.wp-block-image.aligncenter{text-align:center}.wp-block-image.alignfull img,.wp-block-image.alignwide img{width:100%}.wp-block-image .aligncenter,.wp-block-image .alignleft,.wp-block-image .alignright,.wp-block-image.is-resized{display:table;margin-left:0;margin-right:0}.wp-block-image .aligncenter>figcaption,.wp-block-image .alignleft>figcaption,.wp-block-image .alignright>figcaption,.wp-block-image.is-resized>figcaption{display:table-caption;caption-side:bottom}.wp-block-image .alignleft{float:left;margin-right:1em}.wp-block-image .alignright{float:right;margin-left:1em}.wp-block-image .aligncenter{margin-left:auto;margin-right:auto}.wp-block-image figcaption{margin-top:.5em;margin-bottom:1em;color:#555d66;text-align:center;font-size:13px}.wp-block-latest-comments__comment{font-size:15px;line-height:1.1;list-style:none;margin-bottom:1em}.has-avatars .wp-block-latest-comments__comment{min-height:36px;list-style:none}.has-avatars .wp-block-latest-comments__comment .wp-block-latest-comments__comment-excerpt,.has-avatars .wp-block-latest-comments__comment .wp-block-latest-comments__comment-meta{margin-left:52px}.has-dates .wp-block-latest-comments__comment,.has-excerpts .wp-block-latest-comments__comment{line-height:1.5}.wp-block-latest-comments__comment-excerpt p{font-size:14px;line-height:1.8;margin:5px 0 20px}.wp-block-latest-comments__comment-date{color:#8f98a1;display:block;font-size:12px}.wp-block-latest-comments .avatar,.wp-block-latest-comments__comment-avatar{border-radius:24px;display:block;float:left;height:40px;margin-right:12px;width:40px}.wp-block-latest-posts.alignleft{margin-right:2em}.wp-block-latest-posts.alignright{margin-left:2em}.wp-block-latest-posts.is-grid{display:flex;flex-wrap:wrap;padding:0;list-style:none}.wp-block-latest-posts.is-grid li{margin:0 16px 16px 0;width:100%}@media (min-width:600px){.wp-block-latest-posts.columns-2 li{width:calc(50% - 16px)}.wp-block-latest-posts.columns-3 li{width:calc(33.33333% - 16px)}.wp-block-latest-posts.columns-4 li{width:calc(25% - 16px)}.wp-block-latest-posts.columns-5 li{width:calc(20% - 16px)}.wp-block-latest-posts.columns-6 li{width:calc(16.66667% - 16px)}}.wp-block-latest-posts__post-date{display:block;color:#6c7781;font-size:13px}p.is-small-text{font-size:14px}p.is-regular-text{font-size:16px}p.is-large-text{font-size:36px}p.is-larger-text{font-size:48px}p.has-drop-cap:not(:focus):first-letter{float:left;font-size:8.4em;line-height:.68;font-weight:100;margin:.05em .1em 0 0;text-transform:uppercase;font-style:normal}p.has-background{padding:20px 30px}.wp-block-pullquote{padding:3em 0;text-align:center}.wp-block-pullquote.alignleft,.wp-block-pullquote.alignright{max-width:305px}.wp-block-pullquote.alignleft p,.wp-block-pullquote.alignright p{font-size:20px}.wp-block-pullquote p{font-size:24px;line-height:1.6}.wp-block-pullquote cite,.wp-block-pullquote footer{position:relative}.wp-block-quote.is-large,.wp-block-quote.is-style-large{margin:0 0 16px;padding:0 1em}.wp-block-quote.is-large p,.wp-block-quote.is-style-large p{font-size:24px;font-style:italic;line-height:1.6}.wp-block-quote.is-large cite,.wp-block-quote.is-large footer,.wp-block-quote.is-style-large cite,.wp-block-quote.is-style-large footer{font-size:18px;text-align:right}.wp-block-separator.is-style-wide{border-bottom-width:1px}.wp-block-separator.is-style-dots{background:none;border:none;text-align:center;max-width:none;line-height:1;height:auto}.wp-block-separator.is-style-dots:before{content:"\00b7 \00b7 \00b7";color:#191e23;font-size:20px;letter-spacing:2em;padding-left:2em;font-family:serif}p.wp-block-subhead{font-size:1.1em;font-style:italic;opacity:.75}.wp-block-table.has-fixed-layout tbody,.wp-block-table.has-fixed-layout tfoot,.wp-block-table.has-fixed-layout thead{display:table;table-layout:fixed;width:100%}.wp-block-text-columns,.wp-block-text-columns.aligncenter{display:flex}.wp-block-text-columns .wp-block-column{margin:0 16px;padding:0}.wp-block-text-columns .wp-block-column:first-child{margin-left:0}.wp-block-text-columns .wp-block-column:last-child{margin-right:0}.wp-block-text-columns.columns-2 .wp-block-column{width:50%}.wp-block-text-columns.columns-3 .wp-block-column{width:33.33333%}.wp-block-text-columns.columns-4 .wp-block-column{width:25%}pre.wp-block-verse{white-space:nowrap;overflow:auto}.wp-block-video{margin-left:0;margin-right:0}.wp-block-video video{max-width:100%}@supports ((position:-webkit-sticky) or (position:sticky)){.wp-block-video [poster]{-o-object-fit:cover;object-fit:cover}}.wp-block-video.aligncenter{text-align:center}.wp-block-video figcaption{margin-top:.5em;margin-bottom:1em;color:#555d66;text-align:center;font-size:13px}.has-pale-pink-background-color{background-color:#f78da7}.has-vivid-red-background-color{background-color:#cf2e2e}.has-luminous-vivid-orange-background-color{background-color:#ff6900}.has-luminous-vivid-amber-background-color{background-color:#fcb900}.has-light-green-cyan-background-color{background-color:#7bdcb5}.has-vivid-green-cyan-background-color{background-color:#00d084}.has-pale-cyan-blue-background-color{background-color:#8ed1fc}.has-vivid-cyan-blue-background-color{background-color:#0693e3}.has-very-light-gray-background-color{background-color:#eee}.has-cyan-bluish-gray-background-color{background-color:#abb8c3}.has-very-dark-gray-background-color{background-color:#313131}.has-pale-pink-color{color:#f78da7}.has-vivid-red-color{color:#cf2e2e}.has-luminous-vivid-orange-color{color:#ff6900}.has-luminous-vivid-amber-color{color:#fcb900}.has-light-green-cyan-color{color:#7bdcb5}.has-vivid-green-cyan-color{color:#00d084}.has-pale-cyan-blue-color{color:#8ed1fc}.has-vivid-cyan-blue-color{color:#0693e3}.has-very-light-gray-color{color:#eee}.has-cyan-bluish-gray-color{color:#abb8c3}.has-very-dark-gray-color{color:#313131}.has-small-font-size{font-size:14px}.has-regular-font-size{font-size:16px}.has-large-font-size{font-size:36px}.has-larger-font-size{font-size:48px}.admania_amp_blogpost h2{margin:0;font-size:20px;line-height:23px}.admania_amplive_blogpost{padding:1em}.admania_amp_byline amp-img{-webkit-border-radius:100px;-moz-border-radius:100px;-ms-border-radius:100px;border-radius:100px;margin:0 10px 0 0;width:20px;height:20px}.admania_amp_byline{padding:15px 0 0;font-size:12px;color:#111;line-height:1.6;}.admania_amplive_blogpost .pagination{padding:8px 0;margin:0 0 8px;text-align:center}.admania_amplive_blogpost .pagination .page-numbers,.admania_amplive_blogpost .pagination span{padding:13px 18px;color:#222;display:inline-block;text-decoration:none;line-height:1;margin:5px 10px 5px 0;-webkit-box-shadow:0 17px 50px rgba(0,0,0,.1);-moz-box-shadow:0 17px 50px rgba(0,0,0,.1);-ms-box-shadow:0 17px 50px rgba(0,0,0,.1);-o-box-shadow:0 17px 50px rgba(0,0,0,.1);box-shadow:0 17px 50px rgba(0,0,0,.1);background-color:#fff}.admania_amplive_blogpost .pagination .current,.admania_amplive_blogpost .pagination .page-numbers:hover,.admania_amplive_blogpost .pagination span:hover{background:linear-gradient(36deg,#0dd3ff,#0389ff,#1c79c0);color:#fff}.admania_amp_footer{overflow:hidden;background-color:#fff;padding:25px;text-align:center}.admania_amp_footercopytext,.admania_amp_topbtn{display:inline-block;text-decoration:none}.admania_amp_catitem:after{content:','}.admania_amp_entrytxtline .admania_amp_catitem:last-child:after{content:''}.admania_amp_relatedposts .admania_amp_related_pshdg{margin:0 0 7px;font-size:20px;line-height:1.5;display:inline-block;position:relative}.admania_amp_relatedposts .admania_amp_related_pshdg:after{height:6px;content:'';position:absolute;background-color:#eee;width:100%;margin:0 0 0 12px;top:12px}.admania_amp_entrycontent .admania_amp_relatedposts ul{margin-bottom:0;padding-left:0;overflow:hidden}.admania_amp_entrycontent .admania_amp_relatedposts ul li{overflow:hidden;margin:0 0 20px;line-height:1;border-bottom:1px solid #eee;padding:0 0 20px}.admania_amp_relatedposts h4{margin:0 0 4px;font-size:17px;line-height:1.4}.admania_amp_relatedposts .admania_amp_byline{padding:0}.admania_amp_relatedposts h4 a{text-decoration:none;color:#222}.admania_amp_singlepostnav{margin:5px 0 30px}.admania_amp_menulogo amp-img{margin: 25px 0 0;}.admania_amp_scomment,.admania_amp_slnxtlnk,.admania_amp_slprelnk{display:inline-block}.admania_amp_scomment{margin:20px 0 30px}.admania_amp_scomment i{padding:0 8px 0 0}.admania_amp_scomment a,.admania_amp_singlepostnav a{display:block;padding:10px 20px;color:#222;text-decoration:none;border:1px solid #ddd}.admania_amp_slprelnk{margin:0 4em 1em 0}.amp_admania_singleinnercontent,.admania_amp_headerinner,.admania_amplive_blogpost,.admania_slide_container{width:800px;margin:0 auto;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;-o-box-sizing:border-box;-ms-box-sizing:border-box;box-sizing:border-box}.admania_amplive_blogpost .pagination .screen-reader-text{display:none}@media screen and (max-width:850px){.amp_admania_singleinnercontent,.admania_amp_headerinner,.admania_amplive_blogpost,.admania_slide_container{width:100%}}@media screen and (max-width:450px){.admania_amp_blogpost amp-img,.admania_amp_blogpost amp-soundcloud,.admania_amp_blogpost amp-vimeo,.admania_amp_blogpost amp-youtube,.admania_amp_relatedposts amp-img,.admania_amp_relatedposts amp-soundcloud,.admania_amp_relatedposts amp-vimeo,.admania_amp_relatedposts amp-youtube{width:80px;margin:0 19px 0 0;height:80px}.admania_amp_blogpost h2{margin:0;font-size:16px;line-height:19px}.admania_amp_byline{padding:10px 0 0;font-size:11px}.admania_amp_byline amp-img{width:17px;height:17px;margin:0 8px 0 0}.admania_amp_blogpost,.admania_amp_nopost{padding:17px}}</style>



	</head>



	<body>



	<header class="admania_amp_header">



	    <div class="admania_amp_headerinner">



            <div class="admania_amp_headleft">

				   <?php

                     global $wp;				   

				    if(get_theme_mod('admania_mbcustom_logo_activestatus') != '') { 

                    $admania_csmlogourl = get_theme_mod('admania_mbcustom_logo');                    

				    if(is_home()): ?>

				    <h1 class="admania-sitetitle"><a href="<?php echo esc_url(home_url('/amp')); ?>" title="<?php bloginfo( 'name' ); ?>"><amp-img src="<?php echo esc_url($admania_csmlogourl); ?>" alt="<?php bloginfo( 'name' ); ?>" height="30" width="118"></amp-img></a></h1><?php else: ?><span class="admania_logotext"><a href="<?php echo esc_url(home_url('/amp')); ?>" class="admania_amp_logofnt" title="<?php bloginfo( 'name' ); ?>"><amp-img src="<?php echo esc_url($admania_csmlogourl); ?>" alt="<?php bloginfo( 'name' ); ?>" height="30" width="118"></amp-img></a></span><?php 					

					endif;				

					}
				    elseif (is_home()) { ?>

					<h1 class="admania-sitetitle admania-restitle1">

					<a href="<?php echo esc_url(home_url('/amp')); ?>" class="admania_logotext" title="<?php bloginfo( 'name' ); ?>"><?php bloginfo( 'name' ); ?></a></h1><?php } 				

					else { ?>

					<div class="admania-sitetitle admania-restitle">

					<a href="<?php echo esc_url(home_url('/amp'));  ?>" class="admania_logotext admania_amp_logofnt" title="<?php bloginfo( 'name' ); ?>"><?php bloginfo( 'name' ); ?></a>

					</div>

					<?php 

					}

					?>

			</div>

			<div class="admania_amp_headright">

				<button on="tap:sidebar.toggle" class="ampstart-btn admania_amp_menushow caps m2"><span class="admania_amp_mnbar"></span></button>

			</div>
			
	    </div>



	</header>



	



	<?php if(has_nav_menu('admania-primary-menu')): ?>

	<amp-sidebar id='sidebar' layout="nodisplay" side="right">

	  <div class="admania_amp_sidebar">

	    <div class="admania_amp_mnclbar">

		     <button on="tap:sidebar.close" class="ampstart-btn admania_amp_mnclrmbdr caps m2"></button>

		</div>

		<div class="admania_amp_menulogo">

			<?php				   

				    if(get_theme_mod('admania_mbcustom_logo_activestatus') != '') { 



                    $admania_csmlogourl =  get_theme_mod('admania_mbcustom_logo');                    



				    if(is_home()): ?>



				    <h1 class="admania-sitetitle">



					<a href="<?php echo esc_url(home_url('/amp')); ?>" title="<?php bloginfo( 'name' ); ?>"><amp-img src="<?php echo esc_url($admania_csmlogourl); ?>" alt="<?php bloginfo( 'name' ); ?>" height="65" width="200"></amp-img></a></h1>



					<span class="admania_amp_logotext"><?php bloginfo('description'); ?></span>



					<?php else: ?>



					<span class="admania_amp_logotext"><a href="<?php echo esc_url(home_url('/amp')); ?>" class="admania_amp_logofnt" title="<?php bloginfo( 'name' ); ?>"><amp-img src="<?php echo esc_url($admania_csmlogourl); ?>" alt="<?php bloginfo( 'name' ); ?>" height="65" width="200"></amp-img></a></span>



					<span class="admania_amp_logotext"><?php bloginfo('description'); ?></span>



					<?php 



					endif;				



					}



				    elseif (is_home()) { ?>



					<h1 class="admania-sitetitle admania-restitle1">



					<a href="<?php echo esc_url(home_url('/amp')); ?>" class="admania_amp_logotext" title="<?php bloginfo( 'name' ); ?>"><?php bloginfo( 'name' ); ?></a></h1>



					<span class="admania_amp_logotext"><?php bloginfo('description'); ?></span>



					<?php } 				



					else { ?>



					<div class="admania-sitetitle admania-restitle">



					<a href="<?php echo esc_url(home_url('/amp'));  ?>" class="admania_amp_logotext admania_amp_logofnt" title="<?php bloginfo( 'name' ); ?>"><?php bloginfo( 'name' ); ?></a>



					<span class="admania_amp_logotext"><?php bloginfo('description'); ?></span>



					</div>



					<?php 



					}



					?>



		</div>



		   <?php 



		    wp_nav_menu(



			    array(



				'menu'=> 'admania-primary-menu',



				'theme_location' => 'admania-primary-menu',



				'items_wrap'     => '<nav id="%1$s" itemscope itemtype="http://schema.org/SiteNavigationElement" class="%2$s">%3$s</nav>',



				'container'      => FALSE,



				'menu_id'        => 'menu',



				'menu_class'     => 'admania_amp_menu',



                'walker' => new admania_amp_walker_nav_menu			



				)



			); 



		   ?>		   



		</div>



	</amp-sidebar>



	<?php



    endif;	



	}



	



}

if(!class_exists('admania_amp_walker_nav_menu')): 



class admania_amp_walker_nav_menu extends Walker_Nav_Menu {



	/**

	 * Start_el method use this property to detect if previous element was

	 * an accordion print <h6> element like above html

	 *

	 * @since 1.0.0

	 *

	 * @var bool

	 */

	protected $accordion_started = FALSE;





	/**

	 * flag for detecting childs started or not

	 *

	 * @since 1.0.0

	 *

	 * @var bool

	 */

	protected $accordion_childs_started = FALSE;





	/**

	 * Starts the list before the elements are added.

	 *

	 * @see   Walker::start_lvl()

	 *

	 * @param string $output Passed by reference. Used to append additional content.

	 * @param int    $depth  Depth of menu item. Used for padding.

	 * @param array  $args   An array of wp_nav_menu() arguments.

	 *

	 * @since 1.0.0

	 */

	public function start_lvl( &$output, $depth = 0, $args = array() ) {

	}





	/**

	 * Starts the list before the elements are added.

	 *

	 * @see   Walker::start_lvl()

	 *

	 * @param string $output Passed by reference. Used to append additional content.

	 * @param int    $depth  Depth of menu item. Used for padding.

	 * @param array  $args   An array of wp_nav_menu() arguments.

	 *

	 * @since 1.0.0

	 */

	public function end_lvl( &$output, $depth = 0, $args = array() ) {



		if ( $this->accordion_childs_started && $depth == 0 ) {



			$this->end_accordion_child_wrapper( $output, $depth );

		}



		if ( $this->accordion_started && $depth == 0 ) {

			$this->end_accordion( $output, $depth );

		}



	}





	/**

	 * Starts the element output.

	 *

	 * @see   Walker::start_el()

	 *

	 * @param string $output Passed by reference. Used to append additional content.

	 * @param object $item   Menu item data object.

	 * @param int    $depth  Depth of menu item. Used for padding.

	 * @param array  $args   An array of wp_nav_menu() arguments.

	 * @param int    $id     Current item ID.

	 *

	 * @since 1.0.0

	 */

	public function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {



		$args = apply_filters( 'nav_menu_item_args', $args, $item, $depth );



		// Remove menu-item-has-children class

		if ( $depth ) {

			$index = array_search( 'menu-item-has-children', $item->classes );

			if ( $index !== FALSE ) {

				unset( $item->classes[ $index ] );

			}

		}



		$classes   = empty( $item->classes ) ? array() : (array) $item->classes;

		$classes[] = 'menu-item-' . $item->ID;



		if ( $depth > 1 ) {

			$classes[] = 'menu-item-deep';

		}



		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item) );

		$class_names = ' class="'.  $class_names  . '"';



		

		

		if ( $this->has_children && $depth == 0 ) {

			add_theme_support( 'admania-amp-has-nav-child', TRUE );



			$this->start_accordion( $output, $depth );



			$output .= '<h6><span ' . $class_names . '>';

			$output .= $this->get_anchor_tag( $item, $depth, $args, $id );

			$output .= '</span></h6>';



			$this->start_accordion_child_wrapper( $output, $depth );



		} else {



			$output .= '<span ' . $class_names . '>';

			$output .= $this->get_anchor_tag( $item, $depth, $args, $id );

			$output .= '</span>';



		}



	} // start_el





	public function end_el( &$output, $item, $depth = 0, $args = array() ) {

	}





	/**

	 * Adds the start code of accordion

	 *

	 * @param     $output

	 * @param int $depth

	 *

	 * @since 1.0.0

	 */

	public function start_accordion( &$output, $depth = 0 ) {



		$output .= "<amp-accordion><section>";



		$this->accordion_started = TRUE;

		$this->enqueue_accordion = TRUE;

	}





	/**

	 * Ads close tag for accordion

	 *

	 * @param     $output

	 * @param int $depth

	 *

	 * @since 1.0.0

	 */

	public function end_accordion( &$output, $depth = 0 ) {



		$output .= "</section></amp-accordion>";



		$this->accordion_started = FALSE;

	}





	/**

	 * Adds acordion childs wrapper div

	 *

	 * @param     $output

	 * @param int $depth

	 *

	 * @since 1.0.0

	 */

	public function start_accordion_child_wrapper( &$output, $depth = 0 ) {



		$output .= "\n<div>\n";



		$this->accordion_childs_started = TRUE;

	}





	/**

	 * Closes the accordion childs wrapper tag

	 *

	 * @param     $output

	 * @param int $depth

	 *

	 * @since 1.0.0

	 */

	public function end_accordion_child_wrapper( &$output, $depth = 0 ) {



		$output .= "</div>\n";



		$this->accordion_childs_started = FALSE;

	}





	/**

	 * @param $item

	 * @param $depth

	 * @param $args

	 * @param $id

	 *

	 * @since 1.0.0

	 *

	 * @return string

	 */

	public function get_anchor_tag( $item, $depth, $args, $id ) {



		$current_el = '';



		parent::start_el( $current_el, $item, $depth, $args, $id );



		// Unwrap li tag

		if ( preg_match( '#<\s*li\s* [^>]* > (.+) #ix', $current_el, $matched ) ) {

			return $matched[1];

		}



		return $this->make_anchor_tag( $item, $args, $depth );

	}





	/**

	 * Make <a> HTML Tag

	 *

	 * @copyright Credit goes to wordPress team

	 * @see       Walker_Nav_Menu::start_el

	 *

	 * @param object $item  Menu item data object.

	 * @param int    $depth Depth of menu item. Used for padding.

	 * @param array  $args  An array of wp_nav_menu() arguments.

	 *

	 * @since     1.0.0

	 *

	 * @return string

	 */

	protected function make_anchor_tag( $item, $args, $depth ) {



		$atts           = array();

		$atts['title']  = ! empty( $item->attr_title ) ? $item->attr_title : '';

		$atts['target'] = ! empty( $item->target ) ? $item->target : '';

		$atts['rel']    = ! empty( $item->xfn ) ? $item->xfn : '';

		$atts['href']   = ! empty( $item->url ) ? $item->url : '';



		/**

		 * Filters the HTML attributes applied to a menu item's anchor element.

		 *

		 * @since 3.6.0

		 * @since 4.1.0 The `$depth` parameter was added.

		 *

		 * @param array  $atts   {

		 * The HTML attributes applied to the menu item's `<a>` element, empty strings are ignored.

		 *

		 * @type string  $title  Title attribute.

		 * @type string  $target Target attribute.

		 * @type string  $rel    The rel attribute.

		 * @type string  $href   The href attribute.

		 * }

		 *

		 * @param object $item   The current menu item.

		 * @param array  $args   An array of wp_nav_menu() arguments.

		 * @param int    $depth  Depth of menu item. Used for padding.

		 */

		$atts = apply_filters( 'nav_menu_link_attributes', $atts, $item, $args, $depth );



		$attributes = '';

		foreach ( $atts as $attr => $value ) {

			if ( ! empty( $value ) ) {

				$value = ( 'href' === $attr ) ? esc_url( $value ) : esc_attr( $value );

				$attributes .= ' ' . $attr . '="' . $value . '"';

			}

		}



		/** This filter is documented in wp-includes/post-template.php */

		$title = apply_filters( 'the_title', $item->title, $item->ID );



		/**

		 * Filters a menu item's title.

		 *

		 * @since 4.4.0

		 *

		 * @param string $title The menu item's title.

		 * @param object $item  The current menu item.

		 * @param array  $args  An array of wp_nav_menu() arguments.

		 * @param int    $depth Depth of menu item. Used for padding.

		 */

		$title = apply_filters( 'nav_menu_item_title', $title, $item, $args, $depth );



		$item_output = $args->before;

		$item_output .= '<a' . esc_attr($attributes) . '>';

		$item_output .= $args->link_before . esc_attr($title) . $args->link_after;

		$item_output .= '</a>';

		$item_output .= $args->after;



		return $item_output;

	}

}



endif;

}


if ( ! function_exists( 'admania_my_excerpt' ) ) :
function admania_my_excerpt($text, $excerpt){
	global $raw_excerpt;
 if ($excerpt) return $excerpt;
	
$text = strip_shortcodes( $text );
$text = apply_filters('the_content', $text);
 $text = str_replace(']]>', ']]&gt;', $text);
 $text = strip_tags($text);
 $excerpt_length = apply_filters('excerpt_length', 60);
 $excerpt_more = apply_filters('excerpt_more', ' ' . '[...]');
 $words = preg_split("/[n
 ]+/", $text, $excerpt_length + 1, PREG_SPLIT_NO_EMPTY);
 if ( count($words) > $excerpt_length ) {
 array_pop($words);
 $text = implode(' ', $words);
 $text = $text . $excerpt_more;
 } else {
 $text = implode(' ', $words);
 }
return apply_filters('wp_trim_excerpt', $text, $raw_excerpt);
}
endif;
// Facebook Open Graph
add_action('wp_head', 'admania_fb_opengraph_meta');
if ( ! function_exists( 'admania_fb_opengraph_meta' ) ) :
function admania_fb_opengraph_meta() {
	 global $post;
 if (is_single()) {
 
 //$description = get_bloginfo('description');
 $admania_fb_description = admania_my_excerpt( $post->post_content, $post->post_excerpt );
 $admania_fb_description = strip_tags($admania_fb_description);

?>
<meta property="og:title" content="<?php the_title(); ?>" />
<meta property="og:type" content="article" />
<?php $admania_fb_image = wp_get_attachment_image_src(get_post_thumbnail_id( get_the_ID() ), 'full'); 

		?>
<?php if ( $admania_fb_image ) { ?>
    <meta property="og:image" content="<?php echo esc_url($admania_fb_image[0]); ?>" />
<?php }

else {
	
	  if (!has_post_thumbnail($post->ID) ) {
			   
	$admania_fb_postdetails = get_post($post->ID);
		
	preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_fb_postdetails->post_content, $admania_fb_allpics );
	if (is_array($admania_fb_allpics[1]) && count($admania_fb_allpics[1])>0) {
		$admania_fb_pic = $admania_fb_allpics[1][0];
	if (strpos($admania_fb_pic,"?")>0) {
		$admania_fb_pic = substr($admania_fb_pic,0,strpos($admania_fb_pic,"?"));
	}
		
		$admania_fb_exturl =  $admania_fb_pic;
	}
	 if(!empty($admania_fb_exturl) != ''){
	?>
	 <meta property="og:image" content="<?php echo esc_url($admania_fb_exturl); ?>" />
	 <?php
	 }
else {
		
		if(get_theme_mod('admania_df_postimg') != ''){
		$admania_fb_dfimgurl = get_theme_mod('admania_df_postimg_url');
		?>
	    <meta property="og:image" content="<?php echo esc_url($admania_fb_dfimgurl); ?>" />
	    <?php
	  }	
	}
	}  	
	
}		

?>
<meta property="og:url" content="<?php the_permalink(); ?>" />
<meta property="og:description" content="<?php echo esc_html($admania_fb_description); ?>" />
<meta property="og:site_name" content="<?php echo get_bloginfo('name'); ?>" />
<?php 
}
}
endif; 

add_filter( 'get_the_archive_title', function ($admania_title) {

    if ( is_category() ) {

            $admania_title = single_cat_title( '', false );

        } elseif ( is_tag() ) {

            $admania_title = single_tag_title( '', false );

        } 

    return $admania_title;

});

if ( ! function_exists( 'wp_body_open' ) ) :
	
	/**
	 * Fire the wp_body_open action.
	 *
	 * Added for backwards compatibility to support pre 5.2.0 WordPress versions.
	 *
	 * @since Twenty Nineteen 1.4
	 */
	function wp_body_open() {
		/**
		 * Triggered after the opening <body> tag.
		 *
		 * @since Twenty Nineteen 1.4
		 */
		do_action( 'wp_body_open' );
	}
	
endif;

if ( ! function_exists( 'admania_skip_link_focus_fix' ) ) :
/**
 * Fix skip link focus in IE11.
 *
 * This does not enqueue the script because it is tiny and because it is only for IE11,
 * thus it does not warrant having an entire dedicated blocking script being loaded.
 *
 * @link https://git.io/vWdr2
 */
function admania_skip_link_focus_fix() {	
?>
<script>	
/(trident|msie)/i.test(navigator.userAgent)&&document.getElementById&&window.addEventListener&&window.addEventListener("hashchange",function(){var t,e=location.hash.substring(1);/^[A-z0-9_-]+$/.test(e)&&(t=document.getElementById(e))&&(/^(?:a|select|input|button|textarea)$/i.test(t.tagName)||(t.tabIndex=-1),t.focus())},!1);
</script>
<?php
}
endif;

add_action( 'wp_print_footer_scripts', 'admania_skip_link_focus_fix' );